# Generated by Makefile. Do not edit.

2012-07-11  Charles Kerr  <charles.kerr@canonical.com>

	bump version to 12.10.0

2012-06-18  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~evgeni/libappindicator/optional-mono to make Mono binding generation optional. This way we don't FTB on architectures that don't support Mono.

2012-06-10  Evgeni Golov  <evgeni@debian.org>

	make building mono extension optional, so we can build on archs that do not have mono

2012-06-18  Charles Kerr  <charles.kerr@canonical.com>

	merge bzr merge lp:~evgeni/libappindicator/multiarch-same-devheaders so that we don't include build-time filenames in comments of the enum header files.

2012-06-10  Evgeni Golov  <evgeni@debian.org>

	don't include build-time filenames in comments of the enum header files
	
	If we do, the header files may be different on each build.
	This is especially harmful when building multiple times for multiple
	architectures and expecting the files to be identical.

2012-04-23  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/libappindicator/app_name to try the application name as a fallback if the client doesn't explicitly set the title.

2012-04-16  Ted Gould  <ted@gould.cx>

	If we don't have a title set, use the application name to output the title

2012-04-12  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~allanlesage/libappindicator/TDD to add gcov targets to our autotools build for code-coverage reporting. For more information, see this blog post: http://qualityhour.wordpress.com/2012/01/29/test-coverage-tutorial-for-cc-autotools-projects/ .

2012-03-27  Allan LeSage  <allanlesage@gmail.com>

	Added coverage tooling.

2012-03-21  Charles Kerr  <charles.kerr@canonical.com>

	0.4.92

2012-03-21  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libappindicator/fix-vala-examples to resolve ambiguity in the vala examples between glib.Menu and Gtk.Menu

2012-03-21  Charles Kerr  <charles.kerr@canonical.com>

	The vala examples were written before GMenu, so add explict namespace use here to avoid valac errors caused by namespace ambiguity between glib and gtk (ie, use 'new Gtk.Menu' instead of 'new Menu')

2012-03-19  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libappindicator/lp-957471 to fix a PW.BRANCH_PAST_INITIALIZATION error reported by Coverity in bug #957471

2012-03-16  Charles Kerr  <charles.kerr@canonical.com>

	remove oddly-scoped variable to fix a CID 10737 - PW.BRANCH_PAST_INITIALIZATION warning reported by Coverity in Bug #957471

2012-03-09  Ted Gould  <ted@gould.cx>

	0.4.91

2012-03-09  Ted Gould  <ted@gould.cx>

	Update to new actions format in libindicator

2012-03-09  Ted Gould  <ted@gould.cx>

	Include an index for 0.5

2012-03-07  Charles Kerr  <charles.kerr@canonical.com>

	Merge lp:~ted/libappindicator/lp885080 to add a title and name on the status icon in fallback mode for bug #885080

2012-03-02  Ted Gould  <ted@gould.cx>

	Protecting from NULL titles, which apparently status_icon can't take :-/

2012-03-02  Ted Gould  <ted@gould.cx>

	Handle the title changing at runtime

2012-03-02  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-02  Ted Gould  <ted@gould.cx>

	Sets the title of the status icon to the title of the appindicator and the name to the ID

2012-03-06  Ted Gould  <ted@gould.cx>

	Making the Mono and Python bindings build directory independent

2012-03-06  Charles Kerr  <charles.kerr@canonical.com>

	generate app-indicator.sources.xml (for mono bindings) and appindicator.override (for python bindings) at configure time so that they can take into account top_builddir vs top_srcdir differences.

2012-03-06  Ted Gould  <ted@gould.cx>

	Look for files and don't use those as icon names in the fallback

2012-03-06  Ted Gould  <ted@gould.cx>

	Removing unneeded NULL check

2012-03-02  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-02  Ted Gould  <ted@gould.cx>

	Rework the icon setting function so that it can handle images that are file paths by checking to see if the files exist

2012-03-06  Ted Gould  <ted@gould.cx>

	Improve docs on title functions

2012-02-29  Sebastien Bacher  <seb128@ubuntu.com>

	Set "Since: 0.5" in the inline documentation for the new 
	set_title and get_title functions

2012-02-03  Ted Gould  <ted@gould.cx>

	Fixing some of the properties in the mono bindings

2012-02-03  Ted Gould  <ted@gould.cx>

	0.4.90

2012-02-03  Ted Gould  <ted@gould.cx>

	Updating to Dbusmenu 0.5.90

2012-01-31  Ted Gould  <ted@gould.cx>

	Changing dbusmenu-gtk required version

2012-01-30  Ted Gould  <ted@gould.cx>

	Add the ability to set and export the title of the app indicator

2012-01-30  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-01-30  Ted Gould  <ted@gould.cx>

	Fix type in comment

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding the get/set function to the docs

2012-01-28  Ted Gould  <ted@gould.cx>

	Handling getting the title property

2012-01-28  Ted Gould  <ted@gould.cx>

	Making get_title work

2012-01-28  Ted Gould  <ted@gould.cx>

	Only signal to dbus if we're connected

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding a test to track setting of the title

2012-01-28  Ted Gould  <ted@gould.cx>

	Setting the titles in the examples

2012-01-28  Ted Gould  <ted@gould.cx>

	Make the set function call the property set function

2012-01-28  Ted Gould  <ted@gould.cx>

	Support the title property over dbus and emitting the dbus signal when it changes

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding the 'Title' property and 'NewTitle' signal to the DBus interface description

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding the title property

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding a title entry to the private structure

2012-01-28  Ted Gould  <ted@gould.cx>

	Adding get/set title functions

2012-01-27  Ted Gould  <ted@gould.cx>

	Update to trunk

2012-01-27  Ted Gould  <ted@gould.cx>

	Making tests optional

2011-11-23  György Balló  <ballogy@freestart.hu>

	Make building mono tests optional. Check for mono-nunit if nunit is not available

2011-11-22  György Balló  <ballogy@freestart.hu>

	Make building tests optional

2012-01-27  Ted Gould  <ted@gould.cx>

	Fixing pkgconfig file for GTK3

2011-11-22  György Balló  <ballogy@freestart.hu>

	Use the standard location for mono bindings

2011-11-22  György Balló  <ballogy@freestart.hu>

	Do not link pyglib explicitly

2011-11-22  György Balló  <ballogy@freestart.hu>

	Fix header files location for GTK3

2012-01-27  Ted Gould  <ted@gould.cx>

	Removing unneeded python dep

2012-01-26  Ken VanDine  <ken.vandine@canonical.com>

	Don't specify pyglib-2.0-python2.6 in LDFLAGS, it isn't needed and only works with python2.6

2012-01-24  Ken VanDine  <ken.vandine@canonical.com>

	Don't specify pyglib-2.0-python2.6 in LDFLAGS, it isn't needed and only works with python2.6

2011-09-30  Ted Gould  <ted@gould.cx>

	Work with fallbacks and theme paths

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	src/app-indicator.c: hide first in passive mode and add comment about it

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	src/app-indicator.c: do not add the same icon_theme_path again, gtk3 apparently does not check this

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	simplify

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	src/app-indicator.c: honor icon_theme_path in the fallback

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	unbreak attention_icon

2011-09-30  Michael Vogt  <michael.vogt@ubuntu.com>

	src/app-indicator.c: when using the fallback icon, first check if there is a "-panel" version of the icon available and if not fallback to the indicator one

2011-09-28  Ted Gould  <ted@gould.cx>

	0.4.1

2011-09-28  Ted Gould  <ted@gould.cx>

	Fix deps

2011-09-28  Ted Gould  <ted@gould.cx>

	Fix dep as well

2011-09-28  Ted Gould  <ted@gould.cx>

	Fix prefix on custom vala

2011-09-28  Ted Gould  <ted@gould.cx>

	Switching out the prefix for a fixed name

2011-09-28  Ted Gould  <ted@gould.cx>

	0.4.0

2011-09-28  Ted Gould  <ted@gould.cx>

	Bring along custom and grab from srcdir

2011-09-23  Ted Gould  <ted@gould.cx>

	Fixing Vala bindings

2011-09-23  Michal Hruby  <michal.mhr@gmail.com>

	Fix type_check_function for vala bindings

2011-08-11  Ted Gould  <ted@gould.cx>

	0.3.91

2011-07-22  Ted Gould  <ted@gould.cx>

	Fix comments to work with g-ir-scanner

2011-07-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Fixed comments to correctly work with g-ir-scanner
	
	No more missing transfer warning (and relative missing
	bindings for some getting functions).

2011-07-22  Ted Gould  <ted@gould.cx>

	Adding in support for the secondary activate (middle click)

2011-07-22  Ted Gould  <ted@gould.cx>

	Adding the secondary target functions to the documentation

2011-07-22  Ted Gould  <ted@gould.cx>

	Watching for the 'XAyatanaSecondaryActivate' method as well

2011-07-22  Ted Gould  <ted@gould.cx>

	Always clear the sec_activate_target

2011-07-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	examples: use the set_secondary_activate_target API

2011-07-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	vala: updated example to use the new API

2011-07-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	mono bindings: updated API and example

2011-07-20  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	app-indicator: Move from "secondary-activate" signal to secondary_activate target
	
	To avoid appindicators writers to use the "secondary-activate"
	event to perform actions that can't be done via a menu item
	we added a new API:
	
	- app_indicator_set_secondary_activate_target
	- app_indicator_get_secondary_activate_target
	
	With it, an appindicator writer can simply define a new GtkWidget
	that will be activated when a secondary activation will occur.
	The GtkWidget must be a sensitive and visible inner child of
	the appindicator MenuItem.

2011-07-19  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Call the right signal on middle-click over the tray icon!

2011-07-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	app-indicator: added middle click support for wrapper tray
	
	When a trayicon is used, the middle click over the icon
	is considered as a secondary activation.

2011-07-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	examples: add secondary-activate signal usage to Vala and C

2011-07-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala bindings example: added secondary_activate

2011-07-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	mono bindings: added SecondaryActivate support.
	
	Updated the example too.

2011-07-18  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Add signal "secondary-activate" and emit it when needed
	
	When a libappindicator app get the "SecondaryActivate" dbus
	method call, the library redirects it to the app emitting
	the "secondary-activate" signal.
	
	This should be conform to the StatusNotifierItem specifications.

2011-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge with Upstream

2011-07-07  Ted Gould  <ted@gould.cx>

	0.3.90

2011-07-07  Ted Gould  <ted@gould.cx>

	Removing -Werror for the Vala compiler

2011-07-07  Ted Gould  <ted@gould.cx>

	Free allocated name

2011-06-16  Ted Gould  <ted@gould.cx>

	Free name if we get it

2011-07-07  Ted Gould  <ted@gould.cx>

	Migrate to libindicator 0.4

2011-06-16  Ted Gould  <ted@gould.cx>

	Doc fix

2011-06-16  Javier Jardón  <javier.jardon@codethink.co.uk>

	Trivial documentation fix
	
	The property name is 'icon-desc', not 'icon-description'

2011-06-16  Ted Gould  <ted@gould.cx>

	Autotools fixes

2011-06-15  Javier Jardón  <javier.jardon@codethink.co.uk>

	configure.ac: Generate xz tarballs with pax format by default

2011-06-15  Javier Jardón  <javier.jardon@codethink.co.uk>

	Update autotools configuration
	
	Do not use deprecated macros
	Use new libtool syntax
	Remove unneeded code

2011-03-23  Ted Gould  <ted@gould.cx>

	0.3.0

2011-03-23  Ted Gould  <ted@gould.cx>

	Use icon-name instead of GIcon in the fallback GtkStatusIcon

2011-03-23  Ted Gould  <ted@gould.cx>

	Set gtk_status_icon using icon_name instead of gicon

2011-03-16  Ted Gould  <ted@gould.cx>

	0.2.99

2011-03-14  Ted Gould  <ted@gould.cx>

	Doing a ref_sink() like we should have been doing! 

2011-03-14  Michael Terry  <mike@mterry.name>

	sink ref to passed-in menu in set_menu() to avoid leaks

2011-03-10  Ted Gould  <ted@gould.cx>

	0.2.98

2011-03-10  Ted Gould  <ted@gould.cx>

	Adding a TargetEnvironment to the desktop file

2011-03-09  Ted Gould  <ted@gould.cx>

	Don't watch signals we shouldn't need to.

2011-03-08  Ted Gould  <ted@gould.cx>

	Attaching bug number

2011-03-08  Ted Gould  <ted@gould.cx>

	Dropping the client_menu_changed function as dbusmenu should do this for us.

2011-03-03  Ted Gould  <ted@gould.cx>

	0.2.97

2011-03-02  Ted Gould  <ted@gould.cx>

	Adding additional functions into Python bindings

2011-02-26  Артём Попов  <artfwo@gmail.com>

	Updated appindicator.defs (fixes LP: #724917)

2011-03-02  Ted Gould  <ted@gould.cx>

	Fixing the pkgconfig file

2011-02-28  Ken VanDine  <ken.vandine@canonical.com>

	Set the includedir for appindicator3-0.1 to ${includedir}/libappindicator-0.1

2011-03-02  Ted Gould  <ted@gould.cx>

	Drop theme signal handler when shutting down.

2011-02-25  Michael Terry  <mike@mterry.name>

	disconnect from icon theme on dispose

2011-02-24  Ted Gould  <ted@gould.cx>

	0.2.96

2011-02-24  Ted Gould  <ted@gould.cx>

	Add the ability to set accessible descriptions for the icon and attention icon.

2011-02-23  Ted Gould  <ted@gould.cx>

	Cleaning up even more! 

2011-02-23  Ted Gould  <ted@gould.cx>

	Switching to proper properties

2011-02-23  Ted Gould  <ted@gould.cx>

	Matching prototypes to C file

2011-02-23  Ted Gould  <ted@gould.cx>

	Fixing the sections list

2011-02-23  Ted Gould  <ted@gould.cx>

	Dropping the accessible description tests.  I don't have time to rewrite them now.  They should be redone though.

2011-02-23  Ted Gould  <ted@gould.cx>

	Switching to the new style of setting the a11y label

2011-02-23  Ted Gould  <ted@gould.cx>

	Reconfigure properties to match.

2011-02-23  Ted Gould  <ted@gould.cx>

	Fixing up the get functions

2011-02-23  Ted Gould  <ted@gould.cx>

	Fixing up the set functions so we get some descriptions.

2011-02-23  Ted Gould  <ted@gould.cx>

	Switch around API so it makes sense for what we want to do.

2011-02-23  Ted Gould  <ted@gould.cx>

	Dropping the new accessible description signal

2011-02-23  Ted Gould  <ted@gould.cx>

	Drop signaling the accessible description changed on it's own.

2011-02-23  Ted Gould  <ted@gould.cx>

	Change the name of the accessible description and add the attention one.

2011-02-23  Ted Gould  <ted@gould.cx>

	Changing the signal to match what was discussed with the KDE folks

2011-02-14  Luke Yelavich  <luke.yelavich@canonical.com>

	Merge from trunk

2011-02-11  Luke Yelavich  <luke.yelavich@canonical.com>

	Merge from trunk

2011-02-08  Luke Yelavich  <luke.yelavich@canonical.com>

	accessible_name -> accessible_desc

2011-02-04  Luke Yelavich  <luke.yelavich@canonical.com>

	Merge from trunk

2011-02-04  Luke Yelavich  <luke.yelavich@canonical.com>

	Add accessible_name support

2011-02-16  Ted Gould  <ted@gould.cx>

	Remove registration of the object until after all possible signals are sent

2011-02-11  Michael Terry  <mike@mterry.name>

	don't unregister on dbus until after we hide appindicator

2011-02-10  Ted Gould  <ted@gould.cx>

	0.2.95

2011-02-10  Ted Gould  <ted@gould.cx>

	Fix the build so we can distcheck with GTK 2 and 3

2011-02-10  Ted Gould  <ted@gould.cx>

	Blocking the menu proxy from our test

2011-02-10  Ted Gould  <ted@gould.cx>

	Changing the build so that it uses the right version of the vala files and removes the predefined header location

2011-02-10  Ted Gould  <ted@gould.cx>

	Changing the install path of the headers for libappindicator GTK3 version so it's parrallel installable

2011-02-10  Ted Gould  <ted@gould.cx>

	Adjusting the name of the different namespace with GTK 3

2011-02-10  Ted Gould  <ted@gould.cx>

	Ensure that we're building with the right library

2011-02-10  Ted Gould  <ted@gould.cx>

	Cleanup what we create

2011-02-10  Ted Gould  <ted@gould.cx>

	gtk-doc wants a deprecated section now

2011-02-10  Ted Gould  <ted@gould.cx>

	Removing the multiple modules as we shouldn't need them

2011-02-10  Ted Gould  <ted@gould.cx>

	Fixing scroll documentation

2011-02-10  Ted Gould  <ted@gould.cx>

	Making sure to pick up both metadata files in dist.

2011-02-10  Ted Gould  <ted@gould.cx>

	0.2.94

2011-02-10  Ted Gould  <ted@gould.cx>

	Make sure to pull the vala source file along with us.

2011-02-10  Ted Gould  <ted@gould.cx>

	0.2.93

2011-02-10  Ted Gould  <ted@gould.cx>

	Ignoring new Vala stuff

2011-02-10  Ted Gould  <ted@gould.cx>

	Being more specific about the types of the signal

2011-02-10  Ted Gould  <ted@gould.cx>

	Fixing Vala bindings

2011-02-10  Ted Gould  <ted@gould.cx>

	Ensuring we don't run the app as part of the test, just build it so this will work in automation.

2011-02-03  Ted Gould  <ted@gould.cx>

	Changing the build to be the check instead of running it as we might not be interactive.

2011-02-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	example makefile code cleanup

2011-02-05  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	examples, vala: check for valac

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	examples, added scroll-event demo.

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge against new trunk

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala simple client, compile workaround improved.

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	simple-client-vala: indentation fixes

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Examples, added simple-client-vala
	
	A rewrite of the simple-client.c version in Vala as example.
	
	Added a workaround for compiling it.

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Always check if vapigen is available when building VAPI

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala bindings: add metadata as build dependencies, support for gtk3

2011-02-04  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Include gir metadata file in built_sources
	
	Now make distcheck will work ;)

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	vala bindings makefile: just use deps file for dependencies

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala example, changed copyright year

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala example: indentation fixes

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Vala example: adding copyright message.

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Adding vala bindings and example
	
	Adding proper support for vala bindings, fixing the include path
	Now they are built in the bindings subfolder and they
	include a *.deps file.
	and I've also added a small example.

2011-02-03  Ted Gould  <ted@gould.cx>

	Support the Scroll method for scroll whell support.

2011-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merge against new trunk

2011-01-29  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Using the SNI method "Scroll" instead of XAyatanaScrollAction
	
	The indicator signal will use anyway the same syntax.

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	app-indicator: don't use two AppIndicator slots, reset one.

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	app-indicator: remove old debug code.

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Updated mono bindings

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	app-indicator: listen for XAyatanaScrollAction and emit "scroll-event" signal
	
	libappindicator now when it gets a dbus call from
	indicator-application (via the method XAyatanaScrollAction)
	about the incoming scroll event, sends a "scroll-event" signal
	to the appindicator application using this library.
	
	This works both in indicator and fallback (systray mode).
	This commit includes a fix for bug #707591

2011-01-27  Ted Gould  <ted@gould.cx>

	0.2.92

2011-01-27  Ted Gould  <ted@gould.cx>

	Requiring a version of dbusmenu with a parser

2011-01-27  Ted Gould  <ted@gould.cx>

	Switching to use the dbusmenu parser

2011-01-25  Ted Gould  <ted@gould.cx>

	Removing the parser that was here.

2011-01-25  Ted Gould  <ted@gould.cx>

	Rework the setup_dbusmenu function to use the dbusmenu parser.

2011-01-25  Ted Gould  <ted@gould.cx>

	Fixups for GTK3 Build

2011-01-25  Ken VanDine  <ken.vandine@canonical.com>

	GTK3 fixes

2011-01-25  Ken VanDine  <ken.vandine@canonical.com>

	Fixed includedir, we don't ship separate headers for the gtk3 build

2011-01-25  Ken VanDine  <ken.vandine@canonical.com>

	Don't build python bindings for gtk3

2011-01-13  Ken VanDine  <ken.vandine@canonical.com>

	com.canonical rename

2011-01-13  Ken VanDine  <ken.vandine@canonical.com>

	Canonical.com conversion

2011-01-13  Ken VanDine  <ken.vandine@canonical.com>

	Merged

2011-01-13  Ken VanDine  <ken.vandine@canonical.com>

	merged
	* avoid nulls when crafting variants
	* use notdir in case make gives us full paths

2011-01-13  Michael Terry  <mike@mterry.name>

	aw shucks, do the required properties too, defensively

2011-01-13  Michael Terry  <mike@mterry.name>

	avoid nulls when crafting variants

2011-01-13  Michael Terry  <mike@mterry.name>

	use notdir in case make gives us full paths

2011-01-13  Ken VanDine  <ken.vandine@canonical.com>

	Fix the pkgconfig name for dbusmenu-glib-0.4

2011-01-12  Ken VanDine  <ken.vandine@canonical.com>

	Fix the pkgconfig name for dbusmenu-glib-0.4

2010-12-08  Ted Gould  <ted@gould.cx>

	0.2.91

2010-12-08  Ted Gould  <ted@gould.cx>

	Adding the dbus test as an expected failure as it's pretty fragile right now.  Needs to be refactored when we switch to GDBus

2010-12-08  Ted Gould  <ted@gould.cx>

	Switching the library over to using GDBus

2010-12-08  Ted Gould  <ted@gould.cx>

	Wrong directory for the GTK 3 header.  Fixed.

2010-12-08  Ted Gould  <ted@gould.cx>

	Syncing back with trunk

2010-12-08  Ted Gould  <ted@gould.cx>

	Ignoring the generated XML include files.

2010-12-08  Ted Gould  <ted@gould.cx>

	Changing the tarball we're ignoring

2010-12-08  Ted Gould  <ted@gould.cx>

	Adding in some '_' so that the symbols don't get exported in the library.

2010-12-08  Ted Gould  <ted@gould.cx>

	Switching around so that this test passes even if it's not perfect.

2010-12-08  Ted Gould  <ted@gould.cx>

	Drop the need and use of dbus-glib

2010-12-08  Ted Gould  <ted@gould.cx>

	Making sure we have more ref's on our callbacks.

2010-12-08  Ted Gould  <ted@gould.cx>

	Adding a ref for creating the bus proxy.

2010-12-08  Ted Gould  <ted@gould.cx>

	Making sure to ref the object when doing the async callback.

2010-12-08  Ted Gould  <ted@gould.cx>

	Adding a build for dbus-glib for tests so that we can pass them unmodified.

2010-12-08  Ted Gould  <ted@gould.cx>

	Dropping the 'MENU' property as we don't need it.

2010-12-08  Ted Gould  <ted@gould.cx>

	Cleaning up configure.ac

2010-12-07  Ted Gould  <ted@gould.cx>

	Switching to the new dbusmenu API

2010-12-06  Ted Gould  <ted@gould.cx>

	Changing what we're checking with the watcher, now that it's persistant more of the time we need to not block if it exists.

2010-12-06  Ted Gould  <ted@gould.cx>

	Emitting the signals on DBus

2010-12-06  Ted Gould  <ted@gould.cx>

	Returning real values for the dbus properties

2010-12-06  Ted Gould  <ted@gould.cx>

	Killing the X signals as well

2010-12-06  Ted Gould  <ted@gould.cx>

	Dropping all the 'x' properties in the object

2010-12-06  Ted Gould  <ted@gould.cx>

	Putting some dummy code in the bus get property function.

2010-12-06  Ted Gould  <ted@gould.cx>

	Switching the names of the generated files to stop automake from thinking it needs to build the XML files.

2010-12-06  Ted Gould  <ted@gould.cx>

	Adding in the get_prop function so that things start linking

2010-12-06  Ted Gould  <ted@gould.cx>

	Switch from using the DBus proxy to using the owner change signal on the watcher proxy.

2010-12-06  Ted Gould  <ted@gould.cx>

	Readjusting how the proxy is setup, called back, and the registration occurs.

2010-12-06  Ted Gould  <ted@gould.cx>

	Blacklisting some new files

2010-12-06  Ted Gould  <ted@gould.cx>

	Changing the connection to be a GDBus connection and making aquiring it async

2010-12-06  Ted Gould  <ted@gould.cx>

	Switching the dbus object registration to us GDBus

2010-12-06  Ted Gould  <ted@gould.cx>

	Dropping the registration of the type of the object in the dbus-glib way

2010-12-06  Ted Gould  <ted@gould.cx>

	Building up the base inforation for the dbus interfaces as static globals

2010-12-06  Ted Gould  <ted@gould.cx>

	Entirely unsure why this makes things better, but well, it does.

2010-12-06  Ted Gould  <ted@gould.cx>

	Changing to not use the dbus binding tool but to instead turn the XML files into pseudo-C

2010-12-06  Ted Gould  <ted@gould.cx>

	Dropping dbus-glib and checking for a GIO version

2010-12-06  Ted Gould  <ted@gould.cx>

	Merging the remove service branch

2010-12-08  Ted Gould  <ted@gould.cx>

	Adding a test in the simple client for full icon path as people are using it now

2010-12-03  Ted Gould  <ted@gould.cx>

	Sync with remove service

2010-12-03  Ted Gould  <ted@gould.cx>

	Merging from trunk with the desktop convience function.

2010-12-03  Ted Gould  <ted@gould.cx>

	Merging in removing of the service

2010-11-09  Ted Gould  <ted@gould.cx>

	Add a menu item to use the local icon

2010-11-09  Ted Gould  <ted@gould.cx>

	Adding in an icon and passing it's path to the build

2010-12-08  Ted Gould  <ted@gould.cx>

	Merging the property stuff.

2010-12-03  Ted Gould  <ted@gould.cx>

	Sync with remove service branch

2010-12-03  Ted Gould  <ted@gould.cx>

	Merging in removing the service

2010-12-08  Ted Gould  <ted@gould.cx>

	Removing the service from the build

2010-12-06  Ted Gould  <ted@gould.cx>

	No indicator directory without the service

2010-12-03  Ted Gould  <ted@gould.cx>

	Merging from trunk with the desktop convience function.

2010-12-03  Ted Gould  <ted@gould.cx>

	Updating to trunk with GTK3 support.

2010-12-03  Ted Gould  <ted@gould.cx>

	Updating to trunk so that we get the GI fixes

2010-12-02  Ted Gould  <ted@gould.cx>

	Oops, someone has to bring dbus-shared.h into the tarball now

2010-12-02  Ted Gould  <ted@gould.cx>

	Migrating to the LIBRARY flags

2010-12-02  Ted Gould  <ted@gould.cx>

	Dropping a lib that should have never been there! 

2010-12-02  Ted Gould  <ted@gould.cx>

	Changing more of the bulid directives over to be library based

2010-12-02  Ted Gould  <ted@gould.cx>

	Removing the approver test and switching the build flags

2010-12-02  Ted Gould  <ted@gould.cx>

	Adding back in the support for generating marshallers

2010-12-02  Ted Gould  <ted@gould.cx>

	Dropping the service and indicator files

2010-12-02  Ted Gould  <ted@gould.cx>

	Removing the INDICATOR based compiler fun

2010-12-02  Ted Gould  <ted@gould.cx>

	Adding a section for library dependents

2010-12-02  Ted Gould  <ted@gould.cx>

	Removing data directory

2010-12-02  Ted Gould  <ted@gould.cx>

	Changing the name to libappindicator in the base build files

2010-12-02  Ted Gould  <ted@gould.cx>

	Promoting the LGPLv3

2010-12-03  Ted Gould  <ted@gould.cx>

	Adding a convience function for building the items from a desktop file

2010-11-11  Ted Gould  <ted@gould.cx>

	Documentation fixes for distcheck

2010-11-11  Ted Gould  <ted@gould.cx>

	Fleshing out a function to see if an invalid name results in no entries

2010-11-11  Ted Gould  <ted@gould.cx>

	Changing the ID to ensure we get different paths

2010-11-11  Ted Gould  <ted@gould.cx>

	Test fix for property test

2010-11-11  Ted Gould  <ted@gould.cx>

	Clearing the events before unrefing

2010-11-11  Ted Gould  <ted@gould.cx>

	Filling out the activate function.

2010-11-11  Ted Gould  <ted@gould.cx>

	Setup the menu as a dbusmenu if we build it

2010-11-11  Ted Gould  <ted@gould.cx>

	Switching to use the private variable for the shorties

2010-11-11  Ted Gould  <ted@gould.cx>

	Adding shorties as a private variable

2010-11-11  Ted Gould  <ted@gould.cx>

	Switching to be dbusmenu based instead of GTK menu based

2010-11-11  Ted Gould  <ted@gould.cx>

	Adding a property for getting the dbusmenu server

2010-11-11  Ted Gould  <ted@gould.cx>

	Set the property type correctly.

2010-11-11  Ted Gould  <ted@gould.cx>

	Test setting the menu and verify it comes out

2010-11-11  Ted Gould  <ted@gould.cx>

	Set and Get for the dbusmenu server property

2010-11-11  Ted Gould  <ted@gould.cx>

	Create a property for the dbusmenu server

2010-11-11  Ted Gould  <ted@gould.cx>

	Start to flesh out the nicks side of building the menu items

2010-11-11  Ted Gould  <ted@gould.cx>

	Adding a dependency for the library on libindicator

2010-11-08  Ted Gould  <ted@gould.cx>

	Merging in the lib-deps-fixes branch so that I can use those changes.

2010-09-22  Ted Gould  <ted@gould.cx>

	Adding a new library line for configure so that we don't end up with extra libs in the library.

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding a test to check the number of items in the desktop file

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding the srcdir to the build command line

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding a desktop file for testing

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding in a couple of desktop tests

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding the profile in there

2010-11-08  Ted Gould  <ted@gould.cx>

	Adding an API function to build the menu from a desktop file

2010-12-03  Ted Gould  <ted@gould.cx>

	Merging in changes to setup a dual build with GTK 3

2010-10-13  Michael Terry  <mike@mterry.name>

	ship both pc files in EXTRA_DIST

2010-10-06  Michael Terry  <mike@mterry.name>

	instead of always building gtk2 and gtk3, add a --with-gtk= flag to configure to specify which to build with

2010-06-19  Michael Terry  <michael.terry@canonical.com>

	use gtk3 versions of dbusmenu and indicator; use appindicator3 0.1 rather than appindicator 3.1

2010-06-19  Michael Terry  <michael.terry@canonical.com>

	first pass at gtk3 version of libappindicator

2010-12-03  Ted Gould  <ted@gould.cx>

	Fixes to the GObject Introspection and Vala files

2010-12-03  Ken VanDine  <ken.vandine@canonical.com>

	Build fixes with the latest g-ir-scanner and vapigen

2010-12-03  Ken VanDine  <ken.vandine@canonical.com>

	* Explicitly call ShowAll on the menu, otherwise it isn't shown
	* Specify a panel icon that exists for the example

2010-11-01  Ted Gould  <ted@gould.cx>

	Race fixup

2010-10-20  Ted Gould  <ted@gould.cx>

	Uhg, we need a message to know if we've fixed the bug.

2010-10-19  Ted Gould  <ted@gould.cx>

	Add a nice little warning in

2010-10-19  Ted Gould  <ted@gould.cx>

	Adding a check for the name to ensure we didn't miss it

2010-10-08  Ted Gould  <ted@gould.cx>

	Fixing the Watcher interface

2010-10-08  Aurelien Gateau  <aurelien.gateau@canonical.com>

	NotificationHost => StatusNotifierHost, Service => StatusNotifierItem

2010-10-08  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Fix implementation of org.kde.StatusNotifierWatcher interface
	
	ProtocolVersion, IsStatusNotifierHostRegistered and
	RegisteredStatusNotifierItems are properties, not methods.

2010-09-22  Ted Gould  <ted@gould.cx>

	0.2.9

2010-09-21  Ted Gould  <ted@gould.cx>

	Fixes for the bindings

2010-09-21  Sense Egbert Hofstede  <sense@ubuntu.com>

	Resolving conflict when merging with trunk

2010-09-21  Sense Egbert Hofstede  <sense@ubuntu.com>

	Undoing a previous commit that had nothing to do with what I want to achive in my merge request. That's what you get for misusing old branches\!

2010-09-21  Sense Egbert Hofstede  <sense@ubuntu.com>

	Created a second policy file to make sure that applications depending on 'appindicator-sharp' will not have to be recompiled.
	Changes to the packaging is required to make sure the policy file gets installed.
	
	Many thanks to Jo Shields for looking into this issue and proposing a solution.

2010-09-20  Sense Egbert Hofstede  <sense@ubuntu.com>

	Remove the redudant set and get functions for the ordering_index property from the Mono bindings as we want programmers to work witht the property directly.

2010-09-20  Sense Egbert Hofstede  <sense@ubuntu.com>

	* Adding Python bindings for the new API additons
	* Updating the Mono assembly version to reflect the changes to the API
	* Remove two redundant elements from the Mono bindings' metadata file

2010-09-20  Sense Egbert Hofstede  <sense@ubuntu.com>

	Merging Jo Shields' fixes to the build infrastructure to shut GAPI up.

2010-09-18  Sense Egbert Hofstede  <sense@ubuntu.com>

	Updating to trunk

2010-09-18  Sense Egbert Hofstede  <sense@ubuntu.com>

	Commit latest changes before merging with trunk

2010-08-24  Sense Egbert Hofstede  <sense@ubuntu.com>

	Merging with trunk

2010-08-05  Sense Egbert Hofstede  <sense@ubuntu.com>

	Partial, segfaulting, fix for LP: #608219, requires GTK+ change attached to same bug report.

2010-09-21  Ted Gould  <ted@gould.cx>

	Fixing Mono bindings to build versions correctly.

2010-09-19  Jo Shields  <jms@destiny>

	Bump SONAME in Mono binding to libappindicator.so.1

2010-09-19  Jo Shields  <jms@destiny>

	The purpose of a dllmap is to turn a DllImport for "foo" into a dlopen of "bar". This is most commonly used to make apps more cross-platform, by specifying the Windows library name (foo.dll) into a Linux/OSX/etc filename (libfoo.so.0).
	
	indicator-application has been binding directly to libappindicator.so.0, which means multiple places to update if the SONAME changes, and makes it less portable - this commit fixes this.

2010-09-19  Jo Shields  <jms@destiny>

	gapi2-parser cannot cope with multiple signals connected to the same method - it will bail out, complaining it cannot find a method to match the second signal.
	
	This patch modifies the build system to copy app-indicator.c locally, with the "bad" X_NEW_LABEL signal removed, and use that copy to build the binding.

2010-09-15  Ted Gould  <ted@gould.cx>

	Adding a disthook for AUTHORS

2010-09-15  Ted Gould  <ted@gould.cx>

	0.2.8

2010-09-15  Ted Gould  <ted@gould.cx>

	Making it when we see changes we always update the icon.

2010-09-15  Ted Gould  <ted@gould.cx>

	Allowing updates if the item is visible.

2010-09-09  Ted Gould  <ted@gould.cx>

	0.2.7

2010-09-09  Ted Gould  <ted@gould.cx>

	Handle double registration of indicators.

2010-09-07  Ted Gould  <ted@gould.cx>

	Check for duplicate additions of applications and just rerequest properties.

2010-09-07  Ted Gould  <ted@gould.cx>

	Extra debugging info

2010-09-07  Ted Gould  <ted@gould.cx>

	Logging status change

2010-08-26  Ted Gould  <ted@gould.cx>

	0.2.6

2010-08-25  Ted Gould  <ted@gould.cx>

	Ordering i18n and keyboard indicators

2010-08-20  Ted Gould  <ted@gould.cx>

	Handling the typo

2010-08-20  Ted Gould  <ted@gould.cx>

	Adding keyboard and ibus to overrides

2010-08-25  Ted Gould  <ted@gould.cx>

	Putting new icons in the right place

2010-08-20  Ted Gould  <ted@gould.cx>

	Get the proper position for an application when it becomes visible.

2010-08-19  Ted Gould  <ted@gould.cx>

	0.2.5

2010-08-19  Ted Gould  <ted@gould.cx>

	Fix approver for function change

2010-08-19  Ted Gould  <ted@gould.cx>

	Adding a signal for approvers to be able to change their mind

2010-08-18  Ted Gould  <ted@gould.cx>

	Flesh out the revise judgement handler to update the list of approvers.

2010-08-18  Ted Gould  <ted@gould.cx>

	Refactor so that there is a function to look for applications.

2010-08-18  Ted Gould  <ted@gould.cx>

	Connecting into the signal coming from the approver

2010-08-18  Ted Gould  <ted@gould.cx>

	Adding a signal to the approver interface

2010-08-18  Ted Gould  <ted@gould.cx>

	Changing function name as well.

2010-08-18  Ted Gould  <ted@gould.cx>

	XAyatana the register interface

2010-08-18  Ted Gould  <ted@gould.cx>

	Start some approvin'

2010-08-19  Ted Gould  <ted@gould.cx>

	Changing the state machine to have approvers actually aprove things.

2010-08-16  Ted Gould  <ted@gould.cx>

	Commenting out debug message

2010-08-16  Ted Gould  <ted@gould.cx>

	Making it so that we don't set the proxy to null right away.

2010-08-16  Ted Gould  <ted@gould.cx>

	Making the list so that if there are errors we handle them well.

2010-08-13  Ted Gould  <ted@gould.cx>

	Making sure to remove our applications from the list as well.

2010-08-13  Ted Gould  <ted@gould.cx>

	Responding to approver errors like they're approval.

2010-08-13  Ted Gould  <ted@gould.cx>

	Uhg, broken merge.

2010-08-13  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-08-11  Ted Gould  <ted@gould.cx>

	Changing it so that the list of applications has all the applications in it, independent of visible state.

2010-08-11  Ted Gould  <ted@gould.cx>

	Making sure to only list the visible applications.

2010-08-11  Ted Gould  <ted@gould.cx>

	Switching the get_position() function to look at the visibility of the applications.

2010-08-11  Ted Gould  <ted@gould.cx>

	Handle the proxy being destroyed, and cleaning up the approver.

2010-08-11  Ted Gould  <ted@gould.cx>

	Simplifying the visual state to just be shown/hidden while letting the status show which icon is shown.

2010-08-11  Ted Gould  <ted@gould.cx>

	Switching a few status checks to look at the visible state

2010-08-11  Ted Gould  <ted@gould.cx>

	Make it so that an approver that gets free'd gets removed from the applications list of approval.

2010-08-11  Ted Gould  <ted@gould.cx>

	Moving some TODOs

2010-08-11  Ted Gould  <ted@gould.cx>

	Changing the apply_status function to be less about applying the status and more about trying to apply a visual state that can be determined by things like approvers.  This means that it doesn't get passed the status.

2010-08-11  Ted Gould  <ted@gould.cx>

	Making sure to clean up the approved by list

2010-08-11  Ted Gould  <ted@gould.cx>

	Adding a visible state entry to the application structure

2010-08-11  Ted Gould  <ted@gould.cx>

	Managing the list with the approver returns.

2010-08-11  Ted Gould  <ted@gould.cx>

	Changing to a list, we're going to need to track who so when they disconnect we can know the state change.

2010-08-11  Ted Gould  <ted@gould.cx>

	Adding a count for the number of approvers that have approved the application.

2010-08-19  Ted Gould  <ted@gould.cx>

	Fixing a memory leak Cody noticed.

2010-08-13  Ted Gould  <ted@gould.cx>

	Freeing the allocated keys.

2010-08-12  Ted Gould  <ted@gould.cx>

	0.2.4

2010-08-12  Ted Gould  <ted@gould.cx>

	Switching to using ordering IDs instead of the LRU file.

2010-08-11  Ted Gould  <ted@gould.cx>

	Merging in the XLabel branch to handle conflicts.

2010-08-11  Ted Gould  <ted@gould.cx>

	Adding the wrapper properties to the get.

2010-08-11  Ted Gould  <ted@gould.cx>

	Adding in a wrapper signal

2010-08-11  Ted Gould  <ted@gould.cx>

	Adding a set of wrapper properties that can be used by the dbus interface.

2010-08-11  Ted Gould  <ted@gould.cx>

	Changing the app store

2010-08-11  Ted Gould  <ted@gould.cx>

	Changing the Dbus interface.

2010-08-11  Ted Gould  <ted@gould.cx>

	Fighting wrap around

2010-08-11  Ted Gould  <ted@gould.cx>

	Better debug printing.

2010-08-11  Ted Gould  <ted@gould.cx>

	Using unsigned chars for calculating, we want no sign extension.

2010-08-11  Ted Gould  <ted@gould.cx>

	We were using the wrong function, we want categories not statuses! 

2010-08-11  Ted Gould  <ted@gould.cx>

	Making a wrapper property for the 'X' domain

2010-08-11  Ted Gould  <ted@gould.cx>

	Putting the ordering index into the 'x' domain.

2010-08-11  Ted Gould  <ted@gould.cx>

	Making it so that applications will pass '0' over dbus if they don't have a set ordering index.

2010-08-11  Ted Gould  <ted@gould.cx>

	Ignoring the generate id library object file.

2010-08-11  Ted Gould  <ted@gould.cx>

	Instead of using a struct just using multiply, which in all reality, is more clear and the compiler will optimize it for us.

2010-08-11  Ted Gould  <ted@gould.cx>

	Making the categories a case statement.

2010-08-11  Ted Gould  <ted@gould.cx>

	Switching to be more opaque, but also more sane.

2010-08-11  Ted Gould  <ted@gould.cx>

	Flipping the order

2010-08-11  Ted Gould  <ted@gould.cx>

	Typo

2010-08-11  Ted Gould  <ted@gould.cx>

	Ensuring that we got a list of keys so we don't crash

2010-08-10  Ted Gould  <ted@gould.cx>

	Checking for an override and applying it.

2010-08-10  Ted Gould  <ted@gould.cx>

	Fleshing out the loading overrides function.

2010-08-10  Ted Gould  <ted@gould.cx>

	Putting together the pieces to look for override files

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding an override hash table

2010-08-10  Ted Gould  <ted@gould.cx>

	Installing the override file in the package specific data directory.

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding in an override keyfile

2010-08-10  Ted Gould  <ted@gould.cx>

	Fixing documentation with new API.

2010-08-10  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-08-10  Ted Gould  <ted@gould.cx>

	Removing the LRU file object.

2010-08-10  Ted Gould  <ted@gould.cx>

	Removing the LRU file

2010-08-10  Ted Gould  <ted@gould.cx>

	Pulling in the generate ID function as well

2010-08-10  Ted Gould  <ted@gould.cx>

	Setting the ordering ID.

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding in an ordering index for application structures

2010-08-10  Ted Gould  <ted@gould.cx>

	I like 'index' better than 'id' -- now everything is consistent.

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding 'OrderingIndex' and realigning.

2010-08-10  Ted Gould  <ted@gould.cx>

	Providing accessors for the ordering_id property

2010-08-10  Ted Gould  <ted@gould.cx>

	Storing the value and allowing the get to use a generated value.

2010-08-10  Ted Gould  <ted@gould.cx>

	Uhg, wrong library

2010-08-10  Ted Gould  <ted@gould.cx>

	Brining generate-id into the fold

2010-08-10  Ted Gould  <ted@gould.cx>

	Writing a small little function to generate the ID.

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding the ordering id property.

2010-08-09  Ted Gould  <ted@gould.cx>

	Adding the Ordering Index property

2010-08-09  Ted Gould  <ted@gould.cx>

	Start with the ABI break.

2010-08-10  Ted Gould  <ted@gould.cx>

	Breaking the ABI so we have more space in the class structure

2010-08-05  Ted Gould  <ted@gould.cx>

	Changing the size of the class structure, the reason for the break.

2010-08-05  Ted Gould  <ted@gould.cx>

	Incrementing the major version number

2010-08-05  Ted Gould  <ted@gould.cx>

	Adding label support

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding label support into the indicator

2010-08-05  Ted Gould  <ted@gould.cx>

	Syncing with trunk and resolving conflicts

2010-08-05  Ted Gould  <ted@gould.cx>

	Updating with helper when rebuilding.

2010-08-05  Ted Gould  <ted@gould.cx>

	Tracking the long name along with the application entry.

2010-08-05  Ted Gould  <ted@gould.cx>

	Check for suffix when updating icon as well! 

2010-08-05  Ted Gould  <ted@gould.cx>

	Showing and hiding the entries with removal.

2010-08-05  Ted Gould  <ted@gould.cx>

	Reshuffling the signaling and making sure to ref the label.

2010-08-05  Ted Gould  <ted@gould.cx>

	Not really sure what this TODO meant, so I'm removing it.

2010-08-05  Ted Gould  <ted@gould.cx>

	Some slight refactoring and comments along with the ability to remove the entries and recreate them.

2010-08-05  Ted Gould  <ted@gould.cx>

	Building a label in the case that we don't have one already.

2010-08-05  Ted Gould  <ted@gould.cx>

	Adding updating the guide and label size to the label update signal

2010-08-05  Ted Gould  <ted@gould.cx>

	Storing the guide and using it to bound the size of the label.

2010-08-05  Ted Gould  <ted@gould.cx>

	Changing the prototype of the added function.

2010-08-04  Ted Gould  <ted@gould.cx>

	Fixing the prototype for the label changed signal.

2010-08-04  Ted Gould  <ted@gould.cx>

	Fix the check for the updated function signature.

2010-08-04  Ted Gould  <ted@gould.cx>

	If it changes, let's update.

2010-08-04  Ted Gould  <ted@gould.cx>

	If we get passed a label let's make a GTK one for fun.

2010-08-04  Ted Gould  <ted@gould.cx>

	Connecting to the application signal for new label and handling it appropriately.

2010-08-04  Ted Gould  <ted@gould.cx>

	Cast once, be happy

2010-08-04  Ted Gould  <ted@gould.cx>

	Sending the label and the guide over dbus if we have them.

2010-08-04  Ted Gould  <ted@gould.cx>

	Start tracking the label and the label guide allong with the other application properties.

2010-08-04  Ted Gould  <ted@gould.cx>

	Whitespace fix

2010-08-04  Ted Gould  <ted@gould.cx>

	Adding in a base signal handler for the label change

2010-08-04  Ted Gould  <ted@gould.cx>

	Adding signal for label changing.

2010-08-04  Ted Gould  <ted@gould.cx>

	Adding the new entries to the list of the get_apps function.

2010-08-04  Ted Gould  <ted@gould.cx>

	Updating signal emition to match new API

2010-08-04  Ted Gould  <ted@gould.cx>

	Changing prototypes to match DBus API change.

2010-08-04  Ted Gould  <ted@gould.cx>

	Adding labels to the service interface

2010-08-04  Ted Gould  <ted@gould.cx>

	Adding defines for the new properties and signal.

2010-08-04  Ted Gould  <ted@gould.cx>

	Merging in the API changes

2010-08-10  Ted Gould  <ted@gould.cx>

	Adding label support into the library.

2010-08-05  Ted Gould  <ted@gould.cx>

	Fixing merge

2010-08-05  Ted Gould  <ted@gould.cx>

	Updating to trunk and resolve conflicts

2010-08-05  Ted Gould  <ted@gould.cx>

	Adding the ability to toggle the label on and off

2010-08-04  Ted Gould  <ted@gould.cx>

	Make sure we get to 100

2010-08-04  Ted Gould  <ted@gould.cx>

	Setting the label in the simple client

2010-08-03  Ted Gould  <ted@gould.cx>

	More signalling tests.

2010-08-03  Ted Gould  <ted@gould.cx>

	Setting up a basic signals test

2010-08-03  Ted Gould  <ted@gould.cx>

	Stupid reverse logic in the string comparison.

2010-08-03  Ted Gould  <ted@gould.cx>

	Turning null strings into NULLs

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding a test to set the label and guides a bunch.

2010-08-03  Ted Gould  <ted@gould.cx>

	Signaling when the labels change in the idle loop

2010-08-03  Ted Gould  <ted@gould.cx>

	Putting the new define into the docs

2010-08-03  Ted Gould  <ted@gould.cx>

	Reusing the application service marshallers, not beautiful, but it works for now.

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding in a signal to tell when the label is updated.

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding the label funcs to the documentation.

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding in the convience wrappers

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding the label and guide fields to the private struct and tying that into the properties.

2010-08-03  Ted Gould  <ted@gould.cx>

	Setting up the label and lable guide properties.

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding a property to guide the size of the label

2010-08-03  Ted Gould  <ted@gould.cx>

	These have needed to be ignored for a while.

2010-08-03  Ted Gould  <ted@gould.cx>

	This shouldn't be in Bazaar

2010-08-03  Ted Gould  <ted@gould.cx>

	Adding the label property and a signal for it changing.

2010-08-05  Ted Gould  <ted@gould.cx>

	Support dynamically changing the icon theme path.

2010-08-05  Sense Egbert Hofstede  <sense@ubuntu.com>

	Passing the updated icon theme path along with the DBus signal, saving a DBus call.

2010-07-22  Sense Hofstede  <sense@ubuntu.com>

	Fixed two G_PARAM_SPECS and made it even more possible to remove the 
	custom icon theme path.

2010-07-22  Sense Hofstede  <sense@ubuntu.com>

	Fix wrong naming that caused the signal to be missed

2010-07-22  Sense Hofstede  <sense@ubuntu.com>

	Clean-up and renaming variables and functions everywhere to use icon_theme_path for 
	the sake of consistency.
	
	Doesn't seem to do antyhing, though.

2010-07-22  C10uD  <c10ud.dev@gmail.com>

	forgot some files

2010-07-22  C10uD  <c10ud.dev@gmail.com>

	trying to implement runtime theme-path changing

2010-07-15  Ted Gould  <ted@gould.cx>

	0.2.3

2010-07-13  Ted Gould  <ted@gould.cx>

	Adjusting the tests so they can deal with slow systems better.

2010-07-12  Ted Gould  <ted@gould.cx>

	Ignoring the tester script

2010-07-12  Ted Gould  <ted@gould.cx>

	Add a fail timeout so this test can't block.

2010-07-12  Ted Gould  <ted@gould.cx>

	Adding in setting the environment variable to adjust the timeout to be twice as long for slow systems.

2010-07-12  Ted Gould  <ted@gould.cx>

	Putting in a basic approver API.

2010-07-09  Ted Gould  <ted@gould.cx>

	Need the built headers too

2010-07-09  Ted Gould  <ted@gould.cx>

	Oops, with a menu we're all GTK now.

2010-07-09  Ted Gould  <ted@gould.cx>

	Building up to a formal test

2010-07-09  Ted Gould  <ted@gould.cx>

	Filling out the approve function.

2010-07-09  Ted Gould  <ted@gould.cx>

	Filling out the approver prototype

2010-07-09  Ted Gould  <ted@gould.cx>

	Building an application indicator too! 

2010-07-09  Ted Gould  <ted@gould.cx>

	Making the registration async to clean things up, and async is better anyway.

2010-07-09  Ted Gould  <ted@gould.cx>

	Some more error handling and better debug messages.

2010-07-09  Ted Gould  <ted@gould.cx>

	Helpful debug info

2010-07-09  Ted Gould  <ted@gould.cx>

	Okay, so now we're detecing when the watcher comes up, and registering ourselves as the approver.

2010-07-09  Ted Gould  <ted@gould.cx>

	Adding a new sample approver

2010-07-09  Ted Gould  <ted@gould.cx>

	When we have new apps we can ask the approver about them.

2010-07-09  Ted Gould  <ted@gould.cx>

	Looking at all the applications when we get a new approver.

2010-07-09  Ted Gould  <ted@gould.cx>

	Building the approver structure and putting it in the list.

2010-07-09  Ted Gould  <ted@gould.cx>

	Comments

2010-07-09  Ted Gould  <ted@gould.cx>

	Adding some structures for approvers and making them real.

2010-07-09  Ted Gould  <ted@gould.cx>

	For DBus to real objects, the signal shall travel.

2010-07-09  Ted Gould  <ted@gould.cx>

	Adding a function to bring in approvers

2010-07-09  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-07-01  Ted Gould  <ted@gould.cx>

	Return a boolean

2010-06-25  Ted Gould  <ted@gould.cx>

	Adding in a template function to register approvers.

2010-06-25  Ted Gould  <ted@gould.cx>

	Adding a function to register an approver.

2010-06-25  Ted Gould  <ted@gould.cx>

	Adding an approver interface.

2010-07-08  Ted Gould  <ted@gould.cx>

	Use a private pointer instead of a lookup.

2010-07-08  Sense Hofstede  <qense@ubuntu.com>

	Removed all but one calls to the APPLICATION_SERVICE_APPSTORE_GET_PRIVATE() macro
	
	All references to the APPLICATION_SERVICE_APPSTORE_GET_PRIVATE() macro were removed
	from src/application-service-appstore.c. This makes this file comply with the
	recommended practise, which should reduce overhead.

2010-07-08  Ted Gould  <ted@gould.cx>

	0.2.2

2010-07-07  Ted Gould  <ted@gould.cx>

	Merging this branch, but I think it's fixes must have gone in with another.

2010-06-18  Ted Gould  <ted@gould.cx>

	Setting the policy version.

2010-07-07  Ted Gould  <ted@gould.cx>

	Working with the better container signals

2010-06-11  Ted Gould  <ted@gould.cx>

	Changing signal names and getting the ones on the base menu as well.

2010-06-11  Ted Gould  <ted@gould.cx>

	Changing the signal names

2010-06-21  Ted Gould  <ted@gould.cx>

	0.2.1

2010-06-21  Ted Gould  <ted@gould.cx>

	Fixing policy version numbers.

2010-06-21  Ken VanDine  <ken.vandine@canonical.com>

	Use full assembly version for the policy file

2010-06-18  Ted Gould  <ted@gould.cx>

	Fix mono versioning.

2010-06-18  Ted Gould  <ted@gould.cx>

	Cleaning up file name definitions

2010-06-18  Ted Gould  <ted@gould.cx>

	Adding the policy config to the installed files.

2010-06-18  Ted Gould  <ted@gould.cx>

	Switching to the policy name.

2010-06-18  Ted Gould  <ted@gould.cx>

	Swithcing the version to be the assembly version.

2010-06-18  Ted Gould  <ted@gould.cx>

	Fixup the gacutil stuff.  Still doesn't ununinstall.

2010-06-18  Ted Gould  <ted@gould.cx>

	Fixing policy name

2010-06-18  Ted Gould  <ted@gould.cx>

	Replacing the macros with the proper data

2010-06-18  Ted Gould  <ted@gould.cx>

	Fixing the distcheck by cleaning up

2010-06-18  Ted Gould  <ted@gould.cx>

	Readjusting so that the policy file is in the same directory as the DLL

2010-06-18  Ted Gould  <ted@gould.cx>

	Fixing directories

2010-06-18  Ted Gould  <ted@gould.cx>

	Typo

2010-06-18  Ted Gould  <ted@gould.cx>

	Generating a policy dll

2010-06-18  Ted Gould  <ted@gould.cx>

	Make icon switching work again.

2010-06-18  Ted Gould  <ted@gould.cx>

	Remove the assert with checking if the value is NULL.

2010-06-17  Ted Gould  <ted@gould.cx>

	Use class ref and unref to allocate it if need be.

2010-06-17  Ted Gould  <ted@gould.cx>

	Reworking to make more clear and use the GEnumValue structure correctly.

2010-06-17  Ted Gould  <ted@gould.cx>

	Icon name shouldn't be construct only.

2010-06-18  Ted Gould  <ted@gould.cx>

	Fix mono bindings by restricting gapi2-parser

2010-06-17  Ted Gould  <ted@gould.cx>

	Linking Bug

2010-06-17  Ted Gould  <ted@gould.cx>

	Only work with specific files instead of the whole directory.

2010-06-11  Ted Gould  <ted@gould.cx>

	More time for initial fallback.

2010-06-11  Ted Gould  <ted@gould.cx>

	Increase the timeouts, but make it so that the watcher shutsdown when seen.

2010-06-11  Ted Gould  <ted@gould.cx>

	Increasing timeout to hopefully make it work on Hudson with load.

2010-06-03  Ted Gould  <ted@gould.cx>

	0.2.0

2010-06-01  Ted Gould  <ted@gould.cx>

	Distcheck fixes

2010-06-01  Ted Gould  <ted@gould.cx>

	Merging in trunk

2010-05-20  Ted Gould  <ted@gould.cx>

	Sync to trunk to ensure no conflicts.

2010-05-20  Ted Gould  <ted@gould.cx>

	Only grab the app indicator files.

2010-05-20  Ted Gould  <ted@gould.cx>

	Ignoring the lru file header

2010-05-20  Ted Gould  <ted@gould.cx>

	Fixing which sources are marked as BUILT

2010-05-20  Ted Gould  <ted@gould.cx>

	Bringing along the AssemblyInfo.cs file and fixing its path

2010-05-20  Ted Gould  <ted@gould.cx>

	Okay, now everyone is in the right directory, I think.

2010-05-20  Ted Gould  <ted@gould.cx>

	Need to look for things in the source directory too! 

2010-06-01  Ted Gould  <ted@gould.cx>

	Fixes to docuementation and making the enums build correctly with gtk-mkenum

2010-05-23  Sense Hofstede  <qense@ubuntu.com>

	Documentation and introspection fixes and such
	
	* Several documentation and introspection fixes
	* Some small fixes to the mono bindings

2010-05-20  Ted Gould  <ted@gould.cx>

	Merging in updates from the 0.1 series branch

2010-05-20  Ted Gould  <ted@gould.cx>

	0.0.21

2010-05-20  Ted Gould  <ted@gould.cx>

	Build fix to include the AssemblyInfo.cs file

2010-05-20  Ted Gould  <ted@gould.cx>

	0.0.20

2010-05-20  Ted Gould  <ted@gould.cx>

	Fixing the ref leakage of a child object.

2010-05-20  Ted Gould  <ted@gould.cx>

	Fix C includes fro teh VAPI/GIR files

2010-05-20  Ted Gould  <ted@gould.cx>

	Adding GIR/VAPI support and flattening directories

2010-04-29  Ted Gould  <ted@gould.cx>

	Ignoring built VAPI file

2010-04-29  Ted Gould  <ted@gould.cx>

	Now, build us a VAPI! 

2010-04-29  Ted Gould  <ted@gould.cx>

	Fixing the ignore list.

2010-04-29  Ted Gould  <ted@gould.cx>

	Building the GIR file

2010-04-29  Ted Gould  <ted@gould.cx>

	Removing the libappindicator directory to make things simpler

2010-04-29  Ted Gould  <ted@gould.cx>

	Add introspection stuff here

2010-04-28  Ted Gould  <ted@gould.cx>

	Adding the introspection.m4 for our new rules

2010-04-28  Ted Gould  <ted@gould.cx>

	Adding introspection and VAPI checks

2010-05-20  Ted Gould  <ted@gould.cx>

	Stopping the leakage of children.

2010-05-19  Ted Gould  <ted@gould.cx>

	Changing it so the object gets unref'd

2010-05-19  Ted Gould  <ted@gould.cx>

	Dummy commit

2010-04-14  Ted Gould  <ted@gould.cx>

	Adding assembly info for Mono bindings

2010-04-14  Cody Russell  <crussell@canonical.com>

	Add AssemblyInfo.cs to the Mono bindings.

2010-04-13  Neil Jagdish Patel  <neil.patel@canonical.com>

	Add G_LOG_DOMAIN support to the various targets for better messages
	
	modified:
	src/Makefile.am

2010-04-01  Ted Gould  <ted@gould.cx>

	0.0.19

2010-04-01  Ted Gould  <ted@gould.cx>

	Fixing documentation distcheck

2010-04-01  Ted Gould  <ted@gould.cx>

	Moving field documentation into a different comment block so that they're private

2010-04-01  Ted Gould  <ted@gould.cx>

	Making it so the timer doesn't get set if we're already in the fallback case.

2010-04-01  Ted Gould  <ted@gould.cx>

	Catch up to trunk

2010-04-01  Ted Gould  <ted@gould.cx>

	No timer if we're already in fallback.

2010-04-01  Ted Gould  <ted@gould.cx>

	Don't store the panel suffix, just add it for the fallback icons.

2010-04-01  Ted Gould  <ted@gould.cx>

	Adding in documentation for the private structure.

2010-04-01  Ted Gould  <ted@gould.cx>

	Make it so that we don't store the panel-suffix icons but we do use them with the status icon.

2010-03-30  Ted Gould  <ted@gould.cx>

	Merging fix to make it so that python apps can set an icon path.

2010-03-30  C10uD  <c10ud.dev@gmail.com>

	Patch 001 from bug 527061

2010-03-29  Ted Gould  <ted@gould.cx>

	Tracking the icon name and included the panel suffix for fallback usage.

2010-03-25  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	use gchar instead of for the clarity

2010-03-25  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	Make app_indicator_set_property also set the suffixed icon_name.

2010-03-25  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	Make GtkStatusIcon use icons with the panel suffix if available.
	
	Rhythmbox uses two icons: rhythmbox-notplaying for the not playing state
	and the rhythmbox for playing. The rhythmbox-notplaying has a monochromatic
	icon but the rhythmbox not - instead a rhythmbox-panel is used. This patch
	makes AppIndicator prefer an icon with panel suffix just
	as the indicator-application does.

2010-03-25  Ted Gould  <ted@gould.cx>

	0.0.18

2010-03-25  Ted Gould  <ted@gould.cx>

	Fixing tests to use GTK for icon theme fixes.

2010-03-25  Ted Gould  <ted@gould.cx>

	Fixing icon changing with fallbacks.

2010-03-25  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	remove g_object_ref_sink call from status_icon_changes

2010-03-22  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	Use app_indicator_get_icon/app_indicator_get_attention_icon methods to get
	the right icon.

2010-03-22  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	Move g_signal_connect for the theme-changed signal to app_indicator_init ()

2010-03-22  Krzysztof Klimonda  <kklimonda@syntaxhighlighted.com>

	don't use indicator_image_helper ()
	
	Remove indicator_image_helper () call and use
	g_themed_icon_new_with_default_fallbacks () directly. We don't need the
	logic embedded in indicator_image_helper () for the GtkStatusIcon as it takes
	care of changing icon size for us.

2010-03-20  Krzysztof Klimonda  <kklimonda@laptop>

	Fix the missing icon on theme change if old icon has different name
	
	Some applications (like Transmission) use different icon name for
	Notification Area to display monochrome icon. To make sure that
	the icon we display exists after user changes theme use
	indicator_image_helper () from libindicator to keep track of the icon.

2010-03-23  Ted Gould  <ted@gould.cx>

	Update to track toggle changes in actions.

2010-03-19  Sense Hofstede  <qense@ubuntu.com>

	Make sure the state of GtkCheckMenuItems and GtkRadioMenuItems gets updated even when they're changed via their actions.

2010-03-18  Ted Gould  <ted@gould.cx>

	0.0.17

2010-03-17  Ted Gould  <ted@gould.cx>

	Fix nicks on Python bindings.

2010-03-16  Sense Hofstede  <qense@ubuntu.com>

	* Make the nicks of the AppIndicatorCategory and AppIndicatorStatus types adhere the specification in the Python bindings as well (Closes: #539858)

2010-03-15  Ted Gould  <ted@gould.cx>

	Changing from freedesktop to kde as the spec was never approved finally by freedesktop.

2010-03-15  Aurelien Gateau  <aurelien.gateau@canonical.com>

	org.freedesktop.StatusNotifier* => org.kde.StatusNotifier*

2010-03-15  Ted Gould  <ted@gould.cx>

	Make the icons follow the show menu icons property.

2010-03-15  Jan Arne Petersen  <jpetersen@openismus.com>

	Only show images if "gtk-menu-images" settings or
	"always-show-image" property is TRUE.

2010-03-11  Ted Gould  <ted@gould.cx>

	0.0.16

2010-03-11  Ted Gould  <ted@gould.cx>

	Adding a two second wait to make seting up Xvfb more reliable.  This is similar to xvfb-run.

2010-03-11  Ted Gould  <ted@gould.cx>

	Using the new image loader utilities in libindicator

2010-03-11  Ted Gould  <ted@gould.cx>

	Switching to use the update function.

2010-03-11  Ted Gould  <ted@gould.cx>

	Upping libindicator required version to 0.3.5

2010-03-10  Ted Gould  <ted@gould.cx>

	Removing design team size

2010-03-10  Ted Gould  <ted@gould.cx>

	Also using the helper when changing icons.

2010-03-10  Ted Gould  <ted@gould.cx>

	Switching to using the libindicator image helper

2010-03-08  Ted Gould  <ted@gould.cx>

	Workaround to make action label updates get caught and update the label.

2010-03-08  Jan Arne Petersen  <jpetersen@openismus.com>

	Listen also to label changes on actions related to menu items to
	workaround a gtk+ bug.

2010-03-04  Ted Gould  <ted@gould.cx>

	0.0.15

2010-03-02  Ted Gould  <ted@gould.cx>

	Lengthing kill timer to be a little longer for slow systems.

2010-03-02  Ted Gould  <ted@gould.cx>

	Fixing application icon size.

2010-02-26  Ted Gould  <ted@gould.cx>

	Switching from menu size to design team size

2010-03-01  Ted Gould  <ted@gould.cx>

	Switching from hide to visible.

2010-02-27  Chris Coulson  <chrisccoulson@ubuntu.com>

	Use gtk_status_icon_set_visible to hide the status icon. GtkStatusIcon is not derived from GtkWidget, so gtk_widget_hide doesn't work

2010-02-25  Ted Gould  <ted@gould.cx>

	0.0.14

2010-02-25  Ted Gould  <ted@gould.cx>

	Ignoring everything.

2010-02-25  Ted Gould  <ted@gould.cx>

	Changing the metadata to have the proper signal names in it.

2010-02-25  Sense Hofstede  <qense@ubuntu.com>

	* Correct the Mono bindings metadata to properly bind with the signals (Closes LP: #526620)

2010-02-25  Ted Gould  <ted@gould.cx>

	Emitting the connection changed signal when the proxy is created and destroyed.

2010-02-25  Sense Hofstede  <qense@ubuntu.com>

	* Do send the connection-changed signal, in check_connect() -- when a new connection is established -- watcher_proxy_destroyed() and app_indicator_dispose() (Closes LP: #527082)

2010-02-25  Ted Gould  <ted@gould.cx>

	Hide the status icon when unref'd

2010-02-25  Ted Gould  <ted@gould.cx>

	Hiding the notification icon before unreffing it.

2010-02-23  Ted Gould  <ted@gould.cx>

	Adding a check for dbus-glib version.  The patch to unregister requires v. 0.82

2010-02-23  Ted Gould  <ted@gould.cx>

	Fixes to get the menus updated and visibility all handled nicely.

2010-02-23  Ted Gould  <ted@gould.cx>

	Updated patch for the visibility field

2010-02-23  Jan Arne Petersen  <jpetersen@openismus.com>

	Second patch on 524150

2010-02-22  Ted Gould  <ted@gould.cx>

	NO TEARY! 

2010-02-22  Ted Gould  <ted@gould.cx>

	Looking at children with foreach instead of forall

2010-02-22  Jan Arne Petersen  <jpetersen@openismus.com>

	Creates and event handler for the add and remove signals to recreate the menu

2010-02-22  Ted Gould  <ted@gould.cx>

	Making the fallback test more robust on slow systems.

2010-02-22  Ted Gould  <ted@gould.cx>

	Fall out of the while, sometime, if we really think it's not recoverable.

2010-02-22  Ted Gould  <ted@gould.cx>

	Trying to make the test a little more robust by waiting for the other process to register on the bus, and then waiting.

2010-02-22  Ted Gould  <ted@gould.cx>

	Patch to read sensitivity on startup.

2010-02-22  Ted Gould  <ted@gould.cx>

	Fixes bug 522151

2010-02-22  Jan Arne Petersen  <jpetersen@openismus.com>

	Set the sensitive state when starting out.

2010-02-22  Ted Gould  <ted@gould.cx>

	Properly look for null strings in the attention icon.

2010-02-19  Ted Gould  <ted@gould.cx>

	Checking for a null string as the attention icon.

2010-02-19  Ted Gould  <ted@gould.cx>

	Improving the dbus tests so that they have a mock watcher in them.

2010-02-19  Ted Gould  <ted@gould.cx>

	Adding a mock server here as well

2010-02-19  Ted Gould  <ted@gould.cx>

	Putting in a mock watcher so we don't fall back.

2010-02-19  Ted Gould  <ted@gould.cx>

	Fix to remove the registration of dbus objects

2010-02-19  Ted Gould  <ted@gould.cx>

	Attaching bug

2010-02-19  Ted Gould  <ted@gould.cx>

	Removing debug output

2010-02-19  Jan Arne Petersen  <jpetersen@openismus.com>

	Fix to unregister the object

2010-02-17  Ted Gould  <ted@gould.cx>

	Disconnect signal handlers when unreffing the menu.

2010-02-17  Cody Russell  <crussell@canonical.com>

	Disconnect 'client_menu_changed' in dispose method.

2010-02-16  Cody Russell  <crussell@canonical.com>

	Check priv->menu for non-NULL

2010-02-12  Ted Gould  <ted@gould.cx>

	Fixing visibility changes and when menuitems get added and deleted.

2010-02-12  Cody Russell  <crussell@canonical.com>

	Minor cleanup

2010-02-12  Cody Russell  <crussell@canonical.com>

	Change the indentation for this case to be the same as the others.

2010-02-12  Cody Russell  <crussell@canonical.com>

	Just to be safe, let's connect these at the end.

2010-02-12  Cody Russell  <crussell@canonical.com>

	Use dbusmenu_menuitem_property_set_bool(), and also fix some indenting.

2010-02-12  Cody Russell  <crussell@canonical.com>

	Handle menuitem visibility changes, and additions/removals from menus.

2010-02-12  Ted Gould  <ted@gould.cx>

	Fixing labels on stock items.

2010-02-12  Sense Hofstede  <qense@ubuntu.com>

	* When a GtkImageMenuItem has got a stock icon set don't just assume it's also using the stock label, but check first. (Closes: #520048)

2010-02-11  Ted Gould  <ted@gould.cx>

	Adding in submenu support.

2010-02-11  Cody Russell  <crussell@canonical.com>

	Submenus

2010-02-11  Ted Gould  <ted@gould.cx>

	0.0.13

2010-02-11  Ted Gould  <ted@gould.cx>

	Fix to make the dbus paths unique by using the ID of the application.

2010-02-10  Ted Gould  <ted@gould.cx>

	Making sure our new tests with gtk_init() in them have an X server to talk to.

2010-02-10  Ted Gould  <ted@gould.cx>

	Building a menu so this item will show

2010-02-10  Ted Gould  <ted@gould.cx>

	Moving the clean_id code to get set when we set the ID and checking for it when building the menu.

2010-02-10  Ted Gould  <ted@gould.cx>

	Changing to ID based naming and setting a menu to get init

2010-02-10  Ted Gould  <ted@gould.cx>

	Creating a clean ID that doesn't take any illegal dbus characters and using that in the path.

2010-02-10  Ted Gould  <ted@gould.cx>

	Making the menu path also include the ID

2010-02-10  Ted Gould  <ted@gould.cx>

	Making it so that you can't set an ID twice instead of just issuing a warning.

2010-02-10  Ted Gould  <ted@gould.cx>

	Moving the registration of the object to when we want to connect everything, and making the path include the item ID to ensure it's unique.

2010-02-10  Ted Gould  <ted@gould.cx>

	Switching menu property to be an object path.

2010-02-10  Ted Gould  <ted@gould.cx>

	Falling back on string if that's what we get.  Makes things compatible.

2010-02-06  Ted Gould  <ted@gould.cx>

	Ready to recieve the boxed type on the other side.

2010-02-06  Ted Gould  <ted@gould.cx>

	Changing the type of the property and setting it with boxed

2010-02-08  Ted Gould  <ted@gould.cx>

	0.0.12

2010-02-08  Ted Gould  <ted@gould.cx>

	Handling the service resetting much better.  Clearing out the old, but after ensuring they won't come back.

2010-02-06  Ted Gould  <ted@gould.cx>

	Boolean again! 

2010-02-06  Ted Gould  <ted@gould.cx>

	Adding check to look for privates gotten on invalid objects.

2010-02-06  Ted Gould  <ted@gould.cx>

	Handling if we get duplicate entries added, just recycling.

2010-02-06  Ted Gould  <ted@gould.cx>

	Now we're actively killing.

2010-02-06  Ted Gould  <ted@gould.cx>

	Setting up the disconnected helpers and structure.

2010-02-06  Ted Gould  <ted@gould.cx>

	Changing the proxy to only build if we need it, and not destroy itself on killing the process.  There's really no reason for that.

2010-02-06  Ted Gould  <ted@gould.cx>

	Making room for a disconnected function.

2010-02-08  Ted Gould  <ted@gould.cx>

	Cause the proxy to get built outside of the other proxy destroy callback.

2010-02-06  Ted Gould  <ted@gould.cx>

	Putting the proxy construction in an idle function.

2010-02-06  Ted Gould  <ted@gould.cx>

	Reffing the connection so we ensure that we have it even when folks die.

2010-02-08  Ted Gould  <ted@gould.cx>

	Fixing status updates and adding tests to help debug status changing.

2010-02-06  Ted Gould  <ted@gould.cx>

	Getting the wrong string for the Attention Icon when looking at the properties

2010-02-06  Ted Gould  <ted@gould.cx>

	More logging from our app indicator on icon changes

2010-02-06  Ted Gould  <ted@gould.cx>

	Adding a menu item to toggle the attention state.

2010-02-06  Ted Gould  <ted@gould.cx>

	Making sure the client has time to setup.

2010-02-06  Ted Gould  <ted@gould.cx>

	Changing to 100 instead of 1000

2010-02-06  Ted Gould  <ted@gould.cx>

	Lengthening the time a little bit to make sure we don't miss messages.

2010-02-06  Ted Gould  <ted@gould.cx>

	Now setting status ALOT

2010-02-06  Ted Gould  <ted@gould.cx>

	Loose the timeout

2010-02-06  Ted Gould  <ted@gould.cx>

	Adjusting the status test to watch for toggles

2010-02-05  Ted Gould  <ted@gould.cx>

	Typo

2010-02-05  Ted Gould  <ted@gould.cx>

	Adding a test for changing the status.  Just a copy of the standard dbus test.

2010-02-04  Ted Gould  <ted@gould.cx>

	0.0.11

2010-02-04  Ted Gould  <ted@gould.cx>

	Interop fixes.

2010-02-03  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Merged timestamp fix

2010-02-02  Aurelien Gateau  <aurelien.gateau@canonical.com>

	icon -> icon-name
	sensitive -> enabled
	toggle-checked -> toggle-state
	toggle-state type is now an int

2010-02-04  Ted Gould  <ted@gould.cx>

	Migrating to the new dbusmenu

2010-02-04  Ted Gould  <ted@gould.cx>

	Merging in signal change.

2010-02-02  Ted Gould  <ted@gould.cx>

	Changing the prototype of the activate signal

2010-02-04  Ted Gould  <ted@gould.cx>

	Changing the #defines

2010-02-04  Ted Gould  <ted@gould.cx>

	Upping Dbusmenu required version

2010-02-04  Ted Gould  <ted@gould.cx>

	Wrong srcdir

2010-02-04  Ted Gould  <ted@gould.cx>

	Wrong filename

2010-02-04  Ted Gould  <ted@gould.cx>

	Adding in XVFB support

2010-02-04  Ted Gould  <ted@gould.cx>

	Getting run-xvfb on the tests

2010-02-01  Conor Curran  <conor.curran@canonical.com>

	Checking for the nunit dependency with a specific version.

2010-02-01  Conor Curran  <conor.curran@canonical.com>

	changed dependency nunit2.4 to nunit since this is the name of the package

2010-02-01  Ted Gould  <ted@gould.cx>

	Fixing the name of the enum strings to match the StatusNotifier spec.

2010-01-27  Ted Gould  <ted@gould.cx>

	Changing the category in the fallback test as well.

2010-01-27  Ted Gould  <ted@gould.cx>

	Changing strings in the test suite as well.

2010-01-27  Ted Gould  <ted@gould.cx>

	Changing the strings in the #defines here, but really we should be using the enum.

2010-01-27  Ted Gould  <ted@gould.cx>

	Making it so there is another level of translation so that we can use different strings in the enum.

2010-02-01  Ted Gould  <ted@gould.cx>

	Adding code to look for special panel versions of the icon with a '-panel' with the AppIndicators.

2010-02-01  Ted Gould  <ted@gould.cx>

	Changing the suffix to 'panel'

2010-01-24  Ted Gould  <ted@gould.cx>

	Truth.  Bad, Bad, truth.

2010-01-24  Ted Gould  <ted@gould.cx>

	When setting or changing an icon first check to see if there is a panel specific icon that we should be using.

2010-01-21  Ted Gould  <ted@gould.cx>

	0.0.10

2010-01-21  Ted Gould  <ted@gould.cx>

	Require libindicator 0.3.1

2010-01-21  Ted Gould  <ted@gould.cx>

	Adding support for a file tracking add and touch times for applications for ordering them.

2010-01-20  Ted Gould  <ted@gould.cx>

	Implements the get_location function to place the entires.

2010-01-20  Ted Gould  <ted@gould.cx>

	Looking at the last touch date of entries as we're loading the file and removing ones that are very old.

2010-01-20  Ted Gould  <ted@gould.cx>

	License headers.

2010-01-20  Ted Gould  <ted@gould.cx>

	Moving directory and filename into defines

2010-01-20  Ted Gould  <ted@gould.cx>

	Moving the JSON file values into #defines

2010-01-20  Ted Gould  <ted@gould.cx>

	Fleshing out loading of the LRU file and realizing we need a json-glib dep and the 'category' field in the output.

2010-01-20  Ted Gould  <ted@gould.cx>

	Updating to trunk (surprisingly without conflict)

2010-01-20  Ted Gould  <ted@gould.cx>

	Switch to building a string and writing it out instead of async writes as the order doesn't seem to be predictable.

2010-01-20  Ted Gould  <ted@gould.cx>

	Build the directory and some debugging info

2010-01-20  Ted Gould  <ted@gould.cx>

	Fleshing out the cleaning and dirtying functions.  Now we should write out a file.

2010-01-20  Ted Gould  <ted@gould.cx>

	Making a sort function that looks at two Apps and determines their ordering.

2010-01-20  Ted Gould  <ted@gould.cx>

	Fleshing out touching.

2010-01-20  Ted Gould  <ted@gould.cx>

	Allocating memory and objects in the lur world

2010-01-19  Ted Gould  <ted@gould.cx>

	Switching to inserting in the application array using a sort function.  Looking that up in the LRU file DB.

2010-01-19  Ted Gould  <ted@gould.cx>

	Adding in the 'id' and 'category' fields to the application structure.

2010-01-19  Ted Gould  <ted@gould.cx>

	Protecting our _new a little bit.

2010-01-19  Ted Gould  <ted@gould.cx>

	Adding a _new function for the appstore and using it.  It now takes the lru file.

2010-01-19  Ted Gould  <ted@gould.cx>

	Building the LRU file.

2010-01-19  Ted Gould  <ted@gould.cx>

	Adding some API to our LRU file

2010-01-19  Ted Gould  <ted@gould.cx>

	Sync to trunk

2010-01-19  Ted Gould  <ted@gould.cx>

	Adding an object to start tracking the lru of the app indicators

2010-01-20  Ted Gould  <ted@gould.cx>

	Add tracking and refcounting of theme directories.  Unregister them when we're done.

2010-01-14  Ted Gould  <ted@gould.cx>

	Removing shutdown printf

2010-01-14  Ted Gould  <ted@gould.cx>

	Actually unref'ing the dir and fixing the truth there.

2010-01-14  Ted Gould  <ted@gould.cx>

	Merging in the warnings branch.

2010-01-14  Ted Gould  <ted@gould.cx>

	Debug message for directories.

2010-01-14  Ted Gould  <ted@gould.cx>

	Fleshing out the ref and the unref functions for the theme directories.

2010-01-14  Ted Gould  <ted@gould.cx>

	Adding in our hash table of refs.

2010-01-20  Ted Gould  <ted@gould.cx>

	Use the right function in the fallback.

2010-01-19  Ted Gould  <ted@gould.cx>

	Attaching bug

2010-01-19  Ted Gould  <ted@gould.cx>

	Changing to use the status wrapper for handling the status signal's different prototype.

2010-01-20  Ted Gould  <ted@gould.cx>

	Merge to get the current list of applications on startup.

2010-01-15  Ted Gould  <ted@gould.cx>

	Cleaning out dead code and turning a printout into an assert.

2010-01-15  Ted Gould  <ted@gould.cx>

	Using the menu path instead of the item path.

2010-01-15  Ted Gould  <ted@gould.cx>

	Using a straight value array and making sure to pass the application

2010-01-15  Ted Gould  <ted@gould.cx>

	Fleshing out the get_applications function so that we do something with the list we now get.

2010-01-15  Ted Gould  <ted@gould.cx>

	Setting the proper type for the GValue of an 'o'

2010-01-15  Ted Gould  <ted@gould.cx>

	Better init value and adding error to prototype.

2010-01-14  Ted Gould  <ted@gould.cx>

	Returning truth.

2010-01-14  Ted Gould  <ted@gould.cx>

	Need icon path in the list as well.

2010-01-14  Ted Gould  <ted@gould.cx>

	Fleshing out returning the list of apps already there.

2010-01-20  Ted Gould  <ted@gould.cx>

	Ref'ing the image and menu so that when we remove them we don't get warnings.

2010-01-14  Ted Gould  <ted@gould.cx>

	We should have kept ref's to these.

2010-01-19  Cody Russell  <cody.russell@canonical.com>

	Handling duplication applications getting added.

2010-01-19  Cody Russell  <crussell@canonical.com>

	Move the check for duplicates.

2010-01-14  Cody Russell  <crussell@canonical.com>

	Only add the Application if it doesn't already exist in the appstore.

2010-01-14  Ted Gould  <ted@gould.cx>

	0.0.9

2010-01-14  Ted Gould  <ted@gould.cx>

	Fallback support to XEmbed based notify item.

2010-01-14  Ted Gould  <ted@gould.cx>

	Returning the icon we've created.

2010-01-14  Ted Gould  <ted@gould.cx>

	Making a more descriptive error on 'unfallback' not existing.

2010-01-14  Ted Gould  <ted@gould.cx>

	Using better naming for 'do_it_now' parameter.

2010-01-13  Ted Gould  <ted@gould.cx>

	Realized that we didn't really use the 'notify' signal... now using the better ones anyway.

2010-01-13  Ted Gould  <ted@gould.cx>

	Making it so that the icon will update in the fallback case with changes to the properties of the AppIndicator.

2010-01-13  Ted Gould  <ted@gould.cx>

	Showing the toggle_item as well as the others.

2010-01-13  Ted Gould  <ted@gould.cx>

	Popping up menu on activate.

2010-01-13  Ted Gould  <ted@gould.cx>

	Showing items in sample

2010-01-13  Ted Gould  <ted@gould.cx>

	Adding in a get_menu function.

2010-01-13  Ted Gould  <ted@gould.cx>

	Connecting to the activate signal

2010-01-13  Ted Gould  <ted@gould.cx>

	Remove the 'destroy' signal handler before destroying the watcher proxy.

2010-01-13  Ted Gould  <ted@gould.cx>

	Checking more for whether we have an APP_INDICATOR object

2010-01-13  Ted Gould  <ted@gould.cx>

	Explicitly checking for the APP_INDICATOR.  Confused.

2010-01-13  Ted Gould  <ted@gould.cx>

	Checking for the status of the variable getting passed in.

2010-01-13  Ted Gould  <ted@gould.cx>

	Fleshing out the fallback function, so it should create an icon.

2010-01-13  Ted Gould  <ted@gould.cx>

	Really we should have gotten the final cleanup unfallback, which we weren't testing for either.

2010-01-13  Ted Gould  <ted@gould.cx>

	Getting the class the proper way

2010-01-13  Ted Gould  <ted@gould.cx>

	Clear the fallback timer pointer after using it.

2010-01-13  Ted Gould  <ted@gould.cx>

	Adding a function to watch if the watcher proxy gets destroyed.

2010-01-13  Ted Gould  <ted@gould.cx>

	Removing a warning.

2010-01-13  Ted Gould  <ted@gould.cx>

	Making sure to return a value so that unfallback gets called.

2010-01-13  Ted Gould  <ted@gould.cx>

	Calling the unfallback function if we're doing this for the second time.

2010-01-13  Ted Gould  <ted@gould.cx>

	Ignoring the generated fallback test itself

2010-01-12  Ted Gould  <ted@gould.cx>

	Setting up a dbus proxy and starting to look at owner change events on it when we don't have a NotificationWatcher to look at.

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding a menu so that the app indicator will init

2010-01-12  Ted Gould  <ted@gould.cx>

	Wrong class function

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding the fallback test to the suite

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding state transitions that'll get us to a passed state.

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding a kill function and letting the test fail over it.

2010-01-12  Ted Gould  <ted@gould.cx>

	Printing status in watcher

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding in the item side of things.

2010-01-12  Ted Gould  <ted@gould.cx>

	Woah, this is pretty sweet.  I hope it works.

2010-01-12  Ted Gould  <ted@gould.cx>

	Getting the start of the fallback tests in place.

2010-01-12  Ted Gould  <ted@gould.cx>

	Setup the fallback timer and flesh out it's actions.

2010-01-12  Ted Gould  <ted@gould.cx>

	Fallback timer pointer lifecycle.

2010-01-12  Ted Gould  <ted@gould.cx>

	Some comments

2010-01-12  Ted Gould  <ted@gould.cx>

	Start timer fallback

2010-01-12  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-01-11  Ted Gould  <ted@gould.cx>

	Initing and destroying the status_icon variable

2010-01-11  Ted Gould  <ted@gould.cx>

	Setting the fallback functions so that we can go round trip on setting up this API.

2010-01-11  Ted Gould  <ted@gould.cx>

	Adding in the class functions for handling the fallback.

2010-01-12  Ted Gould  <ted@gould.cx>

	0.0.8

2010-01-12  Cody Russell  <crussell@canonical.com>

	Mirror the icon changes over dbus

2010-01-12  Cody Russell  <crussell@canonical.com>

	Remove debugging code

2010-01-11  Cody Russell  <crussell@canonical.com>

	trunk merge

2010-01-11  Cody Russell  <crussell@canonical.com>

	Label fu

2010-01-12  Ted Gould  <ted@gould.cx>

	Adding the middle API file to the cleanfiles for distcheck

2010-01-12  Ted Gould  <ted@gould.cx>

	Fixing the path for the tests.

2010-01-11  Ted Gould  <ted@gould.cx>

	Updating path names to have more reasonable defaults.

2010-01-11  Ted Gould  <ted@gould.cx>

	Having better default paths that look a little more professional.

2010-01-11  Ted Gould  <ted@gould.cx>

	Fixes for the mono bindings to make the properties work with enums and the #define'd string names.

2010-01-11  Ted Gould  <ted@gould.cx>

	Adding back in the MIDDLE_API and sed magic

2010-01-11  Ted Gould  <ted@gould.cx>

	Removing the middle API stuff and cleaning up Makefile

2010-01-11  Ted Gould  <ted@gould.cx>

	Cody's customs

2010-01-11  Cody Russell  <crussell@canonical.com>

	Mono binding fixes.

2010-01-11  Ted Gould  <ted@gould.cx>

	Adding in customs support

2010-01-11  Ted Gould  <ted@gould.cx>

	Use sed to get rid of the #defines

2010-01-11  Ted Gould  <ted@gould.cx>

	Switching the metadata to not use #defines

2010-01-11  Cody Russell  <cody.russell@canonical.com>

	Watching several properties and updating them as they change.

2010-01-08  Cody Russell  <crussell@canonical.com>

	Remove debugging code.

2010-01-08  Cody Russell  <crussell@canonical.com>

	Watch for changes to label and sensitivity.

2010-01-08  Ted Gould  <ted@gould.cx>

	0.0.7

2010-01-08  Ted Gould  <ted@gould.cx>

	Making the Notification Watcher get it's own interface name.

2010-01-08  Ted Gould  <ted@gould.cx>

	Making applications register to the watcher address so they work on KDE

2010-01-08  Ted Gould  <ted@gould.cx>

	Make the watcher register it's own name

2010-01-08  Ted Gould  <ted@gould.cx>

	Making the service have a name different than the watcher interface.

2010-01-08  Ted Gould  <ted@gould.cx>

	Icons branch

2010-01-08  Ted Gould  <ted@gould.cx>

	Supporting icons changing and status changing.

2010-01-08  Ted Gould  <ted@gould.cx>

	Reactivate kill switch

2010-01-08  Ted Gould  <ted@gould.cx>

	Putting the signal on the Class instead of the Instance.

2010-01-08  Ted Gould  <ted@gould.cx>

	Debug message cleanup.

2010-01-08  Ted Gould  <ted@gould.cx>

	Fixing shutdown signal, but disabling for now

2010-01-08  Ted Gould  <ted@gould.cx>

	When destroying the application free all the proxies.

2010-01-08  Ted Gould  <ted@gould.cx>

	Fleshing out some of the remove function.  For some reason the appstore is getting disposed, but that's the next thing to look at.

2010-01-08  Ted Gould  <ted@gould.cx>

	Updating to trunk

2010-01-08  Ted Gould  <ted@gould.cx>

	Syncing to final icon-path changes

2010-01-07  Ted Gould  <ted@gould.cx>

	Pretty major cut and paste error.  Wrong icon.

2010-01-07  Ted Gould  <ted@gould.cx>

	Changing dbus-properties header to be static and not built from the XML as it needs a fix.

2010-01-07  Ted Gould  <ted@gould.cx>

	Merging in the icon_path branch to start to handle conflicts from there.

2010-01-07  Ted Gould  <ted@gould.cx>

	A small refactoring of the code to get the position of an application.

2010-01-07  Ted Gould  <ted@gould.cx>

	Fleshing out the signal functions for updates.  Some do more callbacks.

2010-01-07  Ted Gould  <ted@gould.cx>

	Moving the list of applications management into the state change function.  This makes it so that we can handle it appearing and disappearing all in one special place.

2010-01-07  Ted Gould  <ted@gould.cx>

	Adding in a status variable

2010-01-07  Ted Gould  <ted@gould.cx>

	Responding to the icon changed signal in the indicator.

2010-01-07  Ted Gould  <ted@gould.cx>

	Adding an icon_changed signal to the application store

2010-01-07  Ted Gould  <ted@gould.cx>

	Cleaning up signal handlers.

2010-01-07  Ted Gould  <ted@gould.cx>

	Setting up and connecting to the item signals

2010-01-08  Ted Gould  <ted@gould.cx>

	Adding in the ability for applications to specify a directory path to get added to the icon theme search path.

2010-01-08  Ted Gould  <ted@gould.cx>

	Using the #defines for the property names instead of strings.  Define them once.

2010-01-08  Ted Gould  <ted@gould.cx>

	Changing the property to 'IconThemePath' to make it more clear about what it adjusts.

2010-01-07  Ted Gould  <ted@gould.cx>

	Adding a path based debug message

2010-01-07  Ted Gould  <ted@gould.cx>

	Forgot to adjust the parameter count.

2010-01-06  Ted Gould  <ted@gould.cx>

	Handle the case of no icon path more gracefully, by just passing along the null string.

2010-01-06  Ted Gould  <ted@gould.cx>

	Ignoring some of the generated files

2009-12-20  Ted Gould  <ted@gould.cx>

	Appending the new icon path to the theme search.

2009-12-20  Ted Gould  <ted@gould.cx>

	Adding the icon path to the app entry struct

2009-12-20  Ted Gould  <ted@gould.cx>

	Adding in the icon path to the list of parameters that are passed when we have a new application.

2009-12-20  Ted Gould  <ted@gould.cx>

	Adding new constructor to docs.

2009-12-20  Ted Gould  <ted@gould.cx>

	Forgot to get these from the private struct.

2009-12-20  Ted Gould  <ted@gould.cx>

	Making the icon-path property construct only and making a constructor to set it.

2009-12-20  Ted Gould  <ted@gould.cx>

	Adding the icon_path property to the code.

2009-12-20  Ted Gould  <ted@gould.cx>

	Adding of a new property, icon path, to store the path to the icons.

2010-01-08  Aurélien Gâteau  <agateau@canonical.com>

	Changing to freedesktop.org namespace and fixing some of the function names and interfaces that weren't matching the FD.o spec.

2010-01-08  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Merged lp:~ted/indicator-application/fdo

2010-01-08  Ted Gould  <ted@gould.cx>

	Adjusting so that we use the parameter if it's not an object but a path.

2010-01-07  Ted Gould  <ted@gould.cx>

	Allowing for the default path if one is not given.

2010-01-07  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Revert part of previous revision: pass the path, not the service name to register_status_item

2010-01-07  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Use org.freedesktop namespace

2010-01-08  Sebastien Bacher  <seb128@canonical.com>

	Typo in documentation using wrong values for the enum.

2010-01-08  Sebastien Bacher  <seb128@ubuntu.com>

	Use correct status syntax in the api description (lp: #504700)

2010-01-07  Cody Russell  <crussell@canonical.com>

	Support for check items in the libappindicator menu parser.

2010-01-07  Cody Russell  <crussell@canonical.com>

	Toggle events

2010-01-07  Cody Russell  <crussell@canonical.com>

	More checkbox related updates.

2010-01-07  Cody Russell  <crussell@canonical.com>

	Checkmark support

2009-12-23  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Previous commit was not meant to be pushed to trunk
	Revert my mess

2009-12-23  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Make it work on KDE

2009-12-17  Ted Gould  <ted@gould.cx>

	Adding ChangeLog to tarball

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	include ChangeLog in EXTRA_DIST

2009-12-17  Ted Gould  <ted@gould.cx>

	0.0.6

2009-12-17  Ted Gould  <ted@gould.cx>

	Using a constant snk file instead of generating it each time.

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	use srcdir for the path to appindicator-sharp.snk

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	Don't create the signature during build

2009-12-17  Ted Gould  <ted@gould.cx>

	0.0.5

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	Linking Mono bindings to versioned library and fixing the example with licensing info and a menu.

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	Added license/copyright to the example and un-commented out the code that adds the menu.

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	link against the versioned library

2009-12-17  Ted Gould  <ted@gould.cx>

	Fix issue with setting a menu twice by only allocating one dbusmenu server.

2009-12-17  Cody Russell  <crussell@canonical.com>

	Only create the dbusmenu server if it doesn't exist

2009-12-17  Ted Gould  <ted@gould.cx>

	Initing 'menuservice' to NULL

2009-12-17  Ted Gould  <ted@gould.cx>

	Only build a dbusmenu server if we don't have one.

2009-12-17  Ted Gould  <ted@gould.cx>

	Mono build cleanups

2009-12-17  Ken VanDine  <ken.vandine@canonical.com>

	Install the assembly in the gac

2009-12-17  Ted Gould  <ted@gould.cx>

	Updates to Mono bindings to make them more Mono-onic.

2009-12-16  Jason Smith  <jason.smith@canonical.com>

	Make mono bindings less redundant and more mono friendly

2009-12-17  Ted Gould  <ted@gould.cx>

	Mono and Pythong bindings living together.

2009-12-16  Ken VanDine  <ken.vandine@canonical.com>

	Use a versioned assemblydir

2009-12-16  Ken VanDine  <ken.vandine@canonical.com>

	use more macros

2009-12-16  Ken VanDine  <ken.vandine@canonical.com>

	Reference the correct dll

2009-12-16  Ken VanDine  <ken.vandine@canonical.com>

	merged in python bindings branch and some of my fixes needed for packaging

2009-12-16  Ken VanDine  <ken.vandine@canonical.com>

	exclude the path in subst replace in the dbus-binding-tool command

2009-12-14  Ken VanDine  <ken.vandine@canonical.com>

	use path to find includes

2009-12-11  Ted Gould  <ted@gould.cx>

	Fixing the build system to link everything all happy like.

2009-12-11  Ted Gould  <ted@gould.cx>

	Adding the Python build system into the indicator-application one.

2009-12-11  Neil J. Patel  <neil.patel@canonical.com>

	Stealing a bunch of Neil's python binding code.

2009-12-14  Ted Gould  <ted@gould.cx>

	Merging in mono bindings.

2009-12-14  Ted Gould  <ted@gould.cx>

	Looking for the assembly files in the right location.

2009-12-14  Ted Gould  <ted@gould.cx>

	Adding the test files to dist and making sure we find them in the right directory.

2009-12-14  Ted Gould  <ted@gould.cx>

	Merging in Jason's fix of Cody's branch.  Yeah, seriously.

2009-12-14  Jason Smith  <jason.smith@canonical.com>

	Nicer fix

2009-12-14  Jason Smith  <jason.smith@canonical.com>

	Make build work right

2009-12-12  Cody Russell  <crussell@canonical.com>

	Try to add SetMenu()

2009-12-12  Cody Russell  <crussell@canonical.com>

	Initial stab at setting up test/example fu

2009-12-11  Cody Russell  <crussell@canonical.com>

	Fix distcheck

2009-12-11  Cody Russell  <crussell@canonical.com>

	Move appindicator-sharp.pc to appindicator-sharp-0.1.pc

2009-12-11  Cody Russell  <crussell@canonical.com>

	trunk merge, resolve conflicts

2009-12-11  Cody Russell  <crussell@canonical.com>

	Add missing Makefile.am

2009-12-11  Cody Russell  <crussell@canonical.com>

	Move to bindings/mono

2009-12-11  Cody Russell  <crussell@canonical.com>

	Build for Mono bindings

2009-12-07  Jason Smith  <jason@t500>

	Add script to automate building (someone should do this without autofoo)

2009-12-07  Jason Smith  <jason@t500>

	Ensure names are nice and pretty

2009-12-07  Jason Smith  <jason@t500>

	Make build work

2009-12-07  Jason Smith  <jason@t500>

	Add mono xml api file

2009-12-11  Ted Gould  <ted@gould.cx>

	0.0.4

2009-12-11  Ken VanDine  <ken.vandine@canonical.com>

	Adding extra files to the distribution tarball and making the documentation include the version number.

2009-12-11  Ken VanDine  <ken.vandine@canonical.com>

	include autogen.sh, COPYING.LGPL.2.1 and COPYING.LGPL.3 in EXTRA_DIST

2009-12-11  Ken VanDine  <ken.vandine@canonical.com>

	Merged changes from trunk

2009-12-11  Ken VanDine  <ken.vandine@canonical.com>

	* Bump version to 0.0.4
	* Include version in the generated docs

2009-12-10  Ken VanDine  <ken.vandine@canonical.com>

	Documentation cleanups

2009-12-10  Ken VanDine  <ken.vandine@canonical.com>

	set a title and remove releaseinfo, we haven't set it yet.

2009-12-10  Ted Gould  <ted@gould.cx>

	0.0.3

2009-12-10  Ken Vandine  <ken.vandine@canonical.com>

	Increasing libindicator requirement to 0.3.0

2009-12-10  Ken VanDine  <ken.vandine@canonical.com>

	Bump required version for libindicator to 0.3.0

2009-12-09  Cody Russell  <cody.russell@canonical.com>

	Adding support for separators.

2009-12-09  Cody Russell  <crussell@canonical.com>

	Add support for separator menuitems

2009-12-09  Ted Gould  <ted@gould.cx>

	Switching back to the calling style with all the parameters.  Otherwise the --enable-gtk-doc gets lost.

2009-12-09  Ted Gould  <ted@gould.cx>

	Fixing up documentation and making it error if symbols are missing.

2009-12-08  Ted Gould  <ted@gould.cx>

	Putting gtk-doc-check into a wrapper to it runs in srcdir

2009-12-08  Ted Gould  <ted@gould.cx>

	Adding in some section documentation.

2009-12-08  Ted Gould  <ted@gould.cx>

	Documenting the AppIndicatorClass as well.

2009-12-08  Ted Gould  <ted@gould.cx>

	Fixing function documentation.

2009-12-08  Ted Gould  <ted@gould.cx>

	Adding documentation for the signal string defines.

2009-12-08  Ted Gould  <ted@gould.cx>

	Adding in documentation for the Object/Class macros

2009-12-08  Ted Gould  <ted@gould.cx>

	Adding a check rule for documentation.

2009-12-09  Ted Gould  <ted@gould.cx>

	Adding a directory name on the distribution of the .pc.in file

2009-12-09  Cody Russell  <crussell@canonical.com>

	Add pkgconfig support, fixes bug #494583

2009-12-09  Cody Russell  <crussell@canonical.com>

	pkgconfig Libs and Requires fixes

2009-12-09  Cody Russell  <crussell@canonical.com>

	merge from trunk

2009-12-09  Cody Russell  <crussell@canonical.com>

	pkgconfig file

2009-12-09  Ted Gould  <ted@gould.cx>

	Fix to autogen.sh to support configure options.

2009-12-09  Cody Russell  <crussell@canonical.com>

	fix autogen.sh

2009-12-08  Ted Gould  <ted@gould.cx>

	Improved menu item parsing from Cody.

2009-12-08  Cody Russell  <crussell@canonical.com>

	Beefed up and stuff.

2009-12-08  Ted Gould  <ted@gould.cx>

	Adding support for building gtk-doc documentation.

2009-12-08  Ted Gould  <ted@gould.cx>

	Making it so that we have a local gtk-doc.make file that will pass a dist without the lib being built.

2009-12-08  Ted Gould  <ted@gould.cx>

	Ken's gtk-doc integration branch

2009-12-08  Ken VanDine  <ken.vandine@canonical.com>

	Removed a commented variable

2009-12-08  Ken VanDine  <ken.vandine@canonical.com>

	Clean up some cruft I left around

2009-12-08  Ken VanDine  <ken.vandine@canonical.com>

	Fixes for make distcheck and default configure args

2009-12-08  Ken VanDine  <ken.vandine@canonical.com>

	Added some missing gtk-doc related files

2009-12-08  Ken VanDine  <ken.vandine@canonical.com>

	don't run gtkdocize with autogen.sh

2009-12-05  Ken VanDine  <ken.vandine@canonical.com>

	remove --enable-gtk-doc from autogen.sh

2009-12-05  Ken VanDine  <ken.vandine@canonical.com>

	generate gtk-doc

2009-12-07  Ted Gould  <ted@gould.cx>

	Adding in an activate signal.

2009-12-07  Cody Russell  <crussell@canonical.com>

	Add 'activate' signal support

2009-12-04  Ted Gould  <ted@gould.cx>

	Increasing to version 0.0.2

2009-12-04  Ted Gould  <ted@gould.cx>

	Test suite fixes for the GTK Menu changes.

2009-12-04  Cody Russell  <crussell@canonical.com>

	Remove the menu test

2009-12-04  Cody Russell  <crussell@canonical.com>

	test fix

2009-12-04  Cody Russell  <crussell@canonical.com>

	Test fixes

2009-12-04  Ted Gould  <ted@gould.cx>

	Adding GTK Menu support to libappindicator and removing dbusmenu support.

2009-12-04  Cody Russell  <crussell@canonical.com>

	credit :)

2009-12-04  Cody Russell  <crussell@canonical.com>

	Small cleanup

2009-12-04  Cody Russell  <crussell@canonical.com>

	Fix up some docs

2009-12-03  Cody Russell  <crussell@canonical.com>

	API changes, gtk menu support

2009-12-02  Ted Gould  <ted@gould.cx>

	Adding legal headers on files and licenses.

2009-11-30  Ted Gould  <ted@gould.cx>

	Copyright notice for marshallers definition.

2009-11-30  Ted Gould  <ted@gould.cx>

	Header for a DBus interface description, not sure if that's right or not.

2009-11-30  Ted Gould  <ted@gould.cx>

	Adding in GPLv3 headers.

2009-11-30  Ted Gould  <ted@gould.cx>

	Adding in LGPL v3/2 headers

2009-11-30  Ted Gould  <ted@gould.cx>

	Adding GPLv3 headers.

2009-11-30  Ted Gould  <ted@gould.cx>

	GPL header

2009-11-30  Ted Gould  <ted@gould.cx>

	Adding in copying license files.

2009-11-30  Ted Gould  <ted@gould.cx>

	Getting the right named files.

2009-12-02  Ted Gould  <ted@gould.cx>

	Changing the name from indicator-custom to indicator-application

2009-11-30  Ted Gould  <ted@gould.cx>

	Changing the insides to remove the custom stuff.

2009-11-30  Ted Gould  <ted@gould.cx>

	De-customizing the directory stuff.

2009-11-30  Ted Gould  <ted@gould.cx>

	Migrating to the new 'app' world.

2009-11-30  Ted Gould  <ted@gould.cx>

	Shortening the object names as well.  People hate typing.

2009-11-30  Ted Gould  <ted@gould.cx>

	Massive custom to application find and replace throughout the code.

2009-11-30  Ted Gould  <ted@gould.cx>

	Ignoring happily again.

2009-11-30  Ted Gould  <ted@gould.cx>

	Shortening the file names as well.

2009-11-30  Ted Gould  <ted@gould.cx>

	Making the directory name shorter

2009-11-30  Ted Gould  <ted@gould.cx>

	Changing file names, and some fallouts from that.

2009-11-30  Ted Gould  <ted@gould.cx>

	Total insane rename.  Probably broke more than a few things.

2009-11-30  Ted Gould  <ted@gould.cx>

	Another name change.

2009-11-24  Ted Gould  <ted@gould.cx>

	Changing all the dbus names.

2009-11-24  Ted Gould  <ted@gould.cx>

	Name changed

2009-11-24  Ted Gould  <ted@gould.cx>

	Name changes

2009-11-24  Ted Gould  <ted@gould.cx>

	A bunch of code.

2009-12-02  Ted Gould  <ted@gould.cx>

	Create a service and start using it.  Also updating to libindicator 0.3.0.

2009-11-24  Ted Gould  <ted@gould.cx>

	Moving the connection code into a function that is called to check to see if we have enough data.  This fixes distcheck after the merge from main.

2009-11-24  Ted Gould  <ted@gould.cx>

	Merging in changes on trunk.  Resolving a conflict.

2009-11-24  Ted Gould  <ted@gould.cx>

	Woot, basic remove support.  Causes warnings, but it works.

2009-11-24  Ted Gould  <ted@gould.cx>

	Showing the icon.  Now we can put things up in the menu!  Finally.

2009-11-24  Ted Gould  <ted@gould.cx>

	Ignoring the marshallers

2009-11-24  Ted Gould  <ted@gould.cx>

	Building a little more of a menu item for testing.

2009-11-24  Ted Gould  <ted@gould.cx>

	Fixing Marshallers so that everything is happy-happy.

2009-11-23  Ted Gould  <ted@canonical.com>

	I really shouldn't have to register marshalers.  Srsly.

2009-11-23  Ted Gould  <ted@canonical.com>

	Moving the registration of the marshallers until after the proxy.  Odd that I'd have to do this, but let's try.

2009-11-23  Ted Gould  <ted@canonical.com>

	Forgot return types.

2009-11-23  Ted Gould  <ted@canonical.com>

	Registering marshallers for DBus in the indicator.

2009-11-23  Ted Gould  <ted@canonical.com>

	Adding a debug message on getting an application.

2009-11-23  Ted Gould  <ted@canonical.com>

	Making a simple client

2009-11-23  Ted Gould  <ted@canonical.com>

	Connecting to a notification watcher.

2009-11-23  Ted Gould  <ted@canonical.com>

	Adding in a TODO

2009-11-23  Ted Gould  <ted@canonical.com>

	Commenting.

2009-11-23  Ted Gould  <ted@canonical.com>

	Fixing custom indicator watcher object path.

2009-11-23  Ted Gould  <ted@canonical.com>

	Cleaning up main a little bit and handling the 'disconnected' case that doesn't yet quite exist.

2009-11-23  Ted Gould  <ted@canonical.com>

	Adding a remove function and switching to the position in the list being the position.

2009-11-09  Ted Gould  <ted@canonical.com>

	Adding in the dbus shared header.

2009-11-09  Ted Gould  <ted@canonical.com>

	A simple little app.

2009-11-09  Ted Gould  <ted@canonical.com>

	Adding a defualt file for a little appliction that'll grow into a full app.

2009-11-06  Ted Gould  <ted@canonical.com>

	Grabbing the properties and going to town.  Turning back into another signal.

2009-11-06  Ted Gould  <ted@canonical.com>

	Adding some XML for dbus properties interface.

2009-11-06  Ted Gould  <ted@canonical.com>

	Building the property proxy.

2009-11-06  Ted Gould  <ted@canonical.com>

	Forgot to save.

2009-11-06  Ted Gould  <ted@canonical.com>

	Building a proxy.

2009-11-06  Ted Gould  <ted@canonical.com>

	Adding an application list.

2009-11-06  Ted Gould  <ted@canonical.com>

	Getting the registration signal, and passing it up the stack.

2009-11-06  Ted Gould  <ted@canonical.com>

	Adding app add/remove to appstore

2009-11-06  Ted Gould  <ted@canonical.com>

	Woot!  Now we have signals in our watcher.  Let's rock on! 

2009-11-06  Ted Gould  <ted@canonical.com>

	Connecting the watcher and the appstore.  And actually building one.  We're on DBus now.

2009-11-06  Ted Gould  <ted@canonical.com>

	Moving the watcher stuff to the new object.

2009-11-06  Ted Gould  <ted@canonical.com>

	Creating a new object to be our watcher.  Apparently we can't have two DBus interfaces on the same object :( 

2009-11-06  Ted Gould  <ted@canonical.com>

	Adding in teh source directory for distcheck

2009-11-06  Ted Gould  <ted@canonical.com>

	Adding in a set of marshallers to make our signals all happy.

2009-11-06  Ted Gould  <ted@canonical.com>

	Putting some signals on here.

2009-11-06  Ted Gould  <ted@canonical.com>

	Changing some API and implementing the simple stuff.

2009-11-06  Ted Gould  <ted@canonical.com>

	Fleshing out the application added stuff

2009-11-06  Ted Gould  <ted@canonical.com>

	Fleshing out get_entries

2009-11-06  Ted Gould  <ted@canonical.com>

	Making for a list of applications that we can build and destroy at will.

2009-11-06  Ted Gould  <ted@canonical.com>

	Hooking up to the proxy.  Let's do this! 

2009-11-06  Ted Gould  <ted@canonical.com>

	Fleshing out connected to start bringing up the proxy.

2009-11-06  Ted Gould  <ted@canonical.com>

	Migrating over to the libindicator 0.3.0 API.

2009-11-02  Ted Gould  <ted@canonical.com>

	We've got a service manager.  Now we'll start ourselves up! 

2009-11-02  Ted Gould  <ted@canonical.com>

	Getting the name into a header.

2009-11-02  Ted Gould  <ted@canonical.com>

	Boom, make us an indicator service.

2009-10-28  Ted Gould  <ted@canonical.com>

	Building our app store

2009-10-28  Ted Gould  <ted@canonical.com>

	Registering ourselves on dbus

2009-10-28  Ted Gould  <ted@canonical.com>

	Boom!  Now we're implementing dbus.

2009-10-28  Ted Gould  <ted@canonical.com>

	Adding an appstore object to hold all of our apps.

2009-10-28  Ted Gould  <ted@canonical.com>

	Adding the custom-service interface.

2009-10-28  Ted Gould  <ted@canonical.com>

	Pulling in the unreviewed lib-flesh branch

2009-11-04  Ted Gould  <ted@canonical.com>

	Put the cleanup of gtester on the wrong variable.

2009-11-04  Ted Gould  <ted@canonical.com>

	A small fix to make things run under dbus-test-runner so that we start a dbus test session.

2009-11-03  Ted Gould  <ted@canonical.com>

	Put the gtester test under a dbus-test-runner to ensure that we have a session bus to test with.

2009-11-03  Ted Gould  <ted@canonical.com>

	Fleshing out the library so that the interface is implemented.  Also tests for the library.

2009-11-03  Ted Gould  <ted@canonical.com>

	Removing the checks on private being NULL when we're already testing the object.

2009-10-22  Ted Gould  <ted@canonical.com>

	'Merging' in trunk.  No changes.  Better history.

2009-10-22  Ted Gould  <ted@canonical.com>

	Adding in testing the location of the dbusmenuserver

2009-10-22  Ted Gould  <ted@canonical.com>

	Looking for the wrong property, we can only set the object.

2009-10-22  Ted Gould  <ted@canonical.com>

	We can't get the enum values from the string param spec, we need to find the enum one and then use that.

2009-10-22  Ted Gould  <ted@canonical.com>

	Property name changes.  Boo.

2009-10-22  Ted Gould  <ted@canonical.com>

	Changes due to the properties changes.

2009-10-22  Ted Gould  <ted@canonical.com>

	Gimme a break

2009-10-22  Ted Gould  <ted@canonical.com>

	Adding a set of read-only properties that deal with the strings for dbus, and let the other properties do the real work.

2009-10-22  Ted Gould  <ted@canonical.com>

	Checking the category and state

2009-10-22  Ted Gould  <ted@canonical.com>

	All strings work.

2009-10-22  Ted Gould  <ted@canonical.com>

	Fleshing out the property counting.

2009-10-22  Ted Gould  <ted@canonical.com>

	Settng the right path

2009-10-22  Ted Gould  <ted@canonical.com>

	If we fail, we need to really fail.

2009-10-22  Ted Gould  <ted@canonical.com>

	Adding a kill function, just in case.

2009-10-22  Ted Gould  <ted@canonical.com>

	Basic code calling all the properties.

2009-10-22  Ted Gould  <ted@canonical.com>

	Fleshing out the server to setup a simple custom indicator.

2009-10-22  Ted Gould  <ted@canonical.com>

	Switching to using a little autotest as well.

2009-10-22  Ted Gould  <ted@canonical.com>

	Adding in two little client server binaries for testing the custom indicator.

2009-10-21  Ted Gould  <ted@canonical.com>

	Change the enums to match the KDE ones to make life simpler even though I dislike the names.

2009-10-21  Ted Gould  <ted@canonical.com>

	Turning on verbose output and showing the status of all tests.

2009-10-21  Ted Gould  <ted@canonical.com>

	Getting the prototype right.

2009-10-21  Ted Gould  <ted@canonical.com>

	The signal should have a string not a enum value.

2009-10-21  Ted Gould  <ted@canonical.com>

	Making sure to signal if we change the status.

2009-10-21  Ted Gould  <ted@canonical.com>

	Adding test to test the property change signals.

2009-10-21  Ted Gould  <ted@canonical.com>

	Checking all the set functions.

2009-10-21  Ted Gould  <ted@canonical.com>

	Switching from doing the GValues as enums to the more specific types.

2009-10-21  Ted Gould  <ted@canonical.com>

	Silly, these are enums not ints.

2009-10-21  Ted Gould  <ted@canonical.com>

	Adding a test that sets a bunch of properties.

2009-10-21  Cody Russell  <crussell@canonical.com>

	Ah, forgot a return.  Cody would kill me!  Oh, no.

2009-10-21  Ted Gould  <ted@canonical.com>

	Woot!  We can build a custom indicator, and it exists.

2009-10-20  Ted Gould  <ted@canonical.com>

	Now we're building a test, woot! 

2009-10-20  Ted Gould  <ted@canonical.com>

	Tests directory.

2009-10-20  Ted Gould  <ted@canonical.com>

	Fleshing out the get functions.

2009-10-20  Ted Gould  <ted@canonical.com>

	Fleshing out the set functions.

2009-10-20  Ted Gould  <ted@canonical.com>

	Filling out some prototypes.

2009-10-20  Ted Gould  <ted@canonical.com>

	Okay, connecting this little thing into DBus already.

2009-10-20  Ted Gould  <ted@canonical.com>

	Making sure to free and unref all of our private variables.

2009-10-20  Ted Gould  <ted@canonical.com>

	Now for some 'set' code.  Bringin' it.

2009-10-20  Ted Gould  <ted@canonical.com>

	Fleshing out get parameters...

2009-10-20  Ted Gould  <ted@canonical.com>

	Adding in a bunch of things to the private struct.  We now have data! 

2009-10-20  Ted Gould  <ted@canonical.com>

	Basic property case statements.

2009-10-19  Ted Gould  <ted@canonical.com>

	Creating a connected property to check easily.

2009-10-19  Ted Gould  <ted@canonical.com>

	Boom, there are some signals.

2009-10-19  Ted Gould  <ted@canonical.com>

	Adding in the dbus signals from that interface.

2009-10-19  Ted Gould  <ted@canonical.com>

	Header comments and a new signal that we'll need to deal with.

2009-10-19  Ted Gould  <ted@canonical.com>

	Wow, properties.  The properties system in gobject is a little insane.

2009-10-17  Ted Gould  <ted@canonical.com>

	Changing the name to match the changes in the previous commit.

2009-10-17  Ted Gould  <ted@canonical.com>

	Switching the name to be more consistent.

2009-10-17  Ted Gould  <ted@canonical.com>

	Making sure to get the property names into defines so that we can ensure they're all the same.

2009-10-17  Ted Gould  <ted@canonical.com>

	Filling out the property list.

2009-10-16  Ted Gould  <ted@canonical.com>

	Putting in our first property, status.  Woo hoo! 

2009-10-16  Ted Gould  <ted@canonical.com>

	Forgot to change the package name

2009-10-16  Ted Gould  <ted@canonical.com>

	Set and get properties

2009-10-16  Ted Gould  <ted@canonical.com>

	Merging in the library interface.

2009-10-22  Ted Gould  <ted@canonical.com>

	Branch building up the interface for the library.

2009-10-17  Ted Gould  <ted@canonical.com>

	Getting the name change into the templates properly.

2009-10-17  Ted Gould  <ted@canonical.com>

	Making the enums camel case.  I prefer the other, but it seems best to match GTK style

2009-10-16  Ted Gould  <ted@canonical.com>

	Oops, shouldn't be CLUTTER there.

2009-10-16  Ted Gould  <ted@canonical.com>

	Adding the possibility of making the directories silently.

2009-10-16  Ted Gould  <ted@canonical.com>

	Some small changes to make 'distcheck' happy.

2009-10-16  Ted Gould  <ted@canonical.com>

	Another object file bites the dust

2009-10-16  Ted Gould  <ted@canonical.com>

	Fixing the templates.

2009-10-16  Ted Gould  <ted@canonical.com>

	Filling out the enums to have values.

2009-10-16  Ted Gould  <ted@canonical.com>

	Adding the C file into the build as well.

2009-10-16  Ted Gould  <ted@canonical.com>

	Putting in the enum templates and building them.

2009-10-16  Ted Gould  <ted@canonical.com>

	Setting up build to build the enums.

2009-10-16  Ted Gould  <ted@canonical.com>

	Adding programs for buiding enums and marsherers and all that jazz

2009-10-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	Stealing these makefile segments to build enums and marshallers

2009-10-16  Ted Gould  <ted@canonical.com>

	Building a basic prototype of the API for the lib.

2009-10-15  Ted Gould  <ted@canonical.com>

	Building a basic library starting out.

2009-10-15  Ted Gould  <ted@canonical.com>

	We need a directory.

2009-10-15  Ted Gould  <ted@canonical.com>

	We're on the dbus branch now

2009-10-16  Ted Gould  <ted@canonical.com>

	Adding in the DBus interface files and building of those.

2009-10-15  Ted Gould  <ted@canonical.com>

	Ignoring the generated dbus interfaces.

2009-10-15  Ted Gould  <ted@canonical.com>

	Building the ChangeLog on dist

2009-10-13  Ted Gould  <ted@canonical.com>

	Making sure we get our specs and clean up after ourselves.  Distcheck magic.

2009-10-13  Ted Gould  <ted@canonical.com>

	Getting some functions so that we can link happy like.

2009-10-13  Ted Gould  <ted@canonical.com>

	Fixing symbol names.

2009-10-13  Ted Gould  <ted@canonical.com>

	Getting to building all these header files nicely.

2009-10-13  Ted Gould  <ted@canonical.com>

	Some dbus y'all! 

2009-10-13  Ted Gould  <ted@canonical.com>

	A basical build system and basic files.

2009-10-13  Ted Gould  <ted@canonical.com>

	Building a basic indicator and the service to go along with it.

2009-10-13  Ted Gould  <ted@canonical.com>

	Cleaning up status

2009-10-13  Ted Gould  <ted@canonical.com>

	Local install on distcheck, now it passes.

2009-10-13  Ted Gould  <ted@canonical.com>

	Wrong version

2009-10-13  Ted Gould  <ted@canonical.com>

	DBus Service file

2009-10-13  Ted Gould  <ted@canonical.com>

	Autogen and friends

2009-10-13  Ted Gould  <ted@canonical.com>

	Very basic.

2009-10-13  Ted Gould  <ted@canonical.com>

	First version

